F18<-function(data, var, group, kernel="gaussian", PLOT=NULL, overlap=TRUE, lty=1, lwd=2.5, 
ResetPAR=TRUE,  PAR=NULL,  XLAB=NULL, YLAB=NULL, XLIM=NULL,
YLIM=NULL, COLOR=NULL, COLORB=NULL, 
LEGEND=NULL, AXIS=NULL,MTEXT= NULL, TEXT=NULL,
file="Output.csv",  na="NA", dec=",", row.names=FALSE){


###############################################
#Seccion que realiza el procedimiento
###############################################

datos<-data

datosT<-data.frame(subset(datos, select=var), subset(datos, select=group))



datos<-na.exclude(datosT)


if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}




dati<-as.character(unique(datos[,2]))

if(!is.null(COLORB)){
}
else{
COLORB<-rainbow(length(dati))
}


if(!is.null(COLOR)){
}
else{
COLOR<-rainbow(length(dati),alpha=0.4)
}



if(!is.null(XLAB)) xlab<-XLAB else xlab<-var


if(!is.null(YLAB)){
ylab<-YLAB
}
else{
ylab<-"Density"
}


if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=c(5,5,3,2),cex.lab=1.5)
}




if(!is.null(XLIM)){
}
else{
maxx<-max(datos[,1])
minx<-min(datos[,1])
XLIM<-c(minx,maxx)
}






catn<-length(unique(dati))

maxden<-0


for(h in 1:catn){
datos3<-subset(datos, datos[,2]==dati[h])
den<-density(datos3[,1], kernel=kernel)
maxd<-max(den$y)
if(maxd>maxden) maxden<-maxd else maxden<-maxden
}




if(!is.null(YLIM)){
}
else{

YLIM<-c(0,maxden)
}




if(!is.null(PLOT)){
tx<-paste("plot.default(","x=0,", "y=0,", "type='n',", toString(x=PLOT), ")")
eval(parse(text=tx))
}
else{
tx<-paste("plot.default(","x=0,", "y=0,", "type='n',",
"xlim=XLIM,", "ylim=YLIM,", "xlab=xlab,", "ylab=ylab,", "main=''", ")")
eval(parse(text=tx))
}


llty<-length(lty)

if(llty==1){
pch1<-lty
for (t in 2:catn){
pcht<-lty
pch1<-append(pch1,pcht)
}
lty<-pch1
}
else{
}


for(h in 1:catn){
datos3<-subset(datos, datos[,group]==dati[h])
den<-density(datos3[,1], kernel=kernel)
polygon(x=den$x, y=den$y, col=COLOR[h],border=COLORB[h], lwd=lwd,lty=lty[h])
}

if(overlap==TRUE){

Variable1<-"M"
Overlap<-1
Variable2<-"M"


minimo<-min(datos[,1])
maximo<-max(datos[,1])
for(h in 1:catn){
datos3<-subset(datos, datos[,group]==dati[h])
d1<-density(datos3[,1], from=minimo, to=maximo, kernel=kernel)
for(i in 1:catn){
datos3<-subset(datos, datos[,group]==dati[i])
d2<-density(datos3[,1], from=minimo, to=maximo, kernel=kernel)
p<-d1$y-d2$y
p[which(p<0)]=0
p3<-d1$y-p
p3[which(p3<0)]=0
auc1<-kulife::auc(d1$x,d1$y)
auc3<-kulife::auc(d1$x,p3)
P1<-auc3*100/auc1
if(dati[h]==dati[i]){
}
else{
Variable1<-append(Variable1,dati[h])
Variable2<-append(Variable2,dati[i])
Overlap<-append(Overlap,P1)
}
}
}
}

salida<-data.frame(Variable1[-1],Overlap[-1],Variable2[-1])


colnames(salida)<-c("Group1","Overlap","Group2")

print(salida)

if(dec=="."){
write.csv(x=salida,file = file, fileEncoding = "", row.names=row.names,na=na)
}
else{
write.csv2(x = salida,file = file, fileEncoding = "", row.names=row.names,na=na)
}




if(!is.null(LEGEND)){
if(LEGEND==FALSE){
}
else{
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
}
else{
legendexe<-paste("legend(","x='topleft',","legend=dati,","bty='n',", "col=COLORB,",
"lty=lty", ")")
eval(parse(text=legendexe))
}


if(!is.null(AXIS)){
axisexe<-paste("axis(",toString(x=AXIS), ")")
eval(parse(text=axisexe))
}
else{
}

if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}








}
