F24<-function(data, varY,  FactorX, label=NULL, method="mean", dev="sd",
ResetPAR=TRUE,  PAR=NULL, order=NULL, OrderCat=NULL, LabelCat=NULL,
XLAB=NULL, YLAB=NULL, XLIM=NULL, YLIM=NULL, COLOR="black",  COLORI="black", 
PCH=16, CEX=1, LEGEND=NULL, AXIS=NULL,MTEXT= NULL, TEXT=NULL){


###############################################
#Seccion que realiza el procedimiento
###############################################

datos<-data

datosT<-data.frame(subset(datos, select=varY), subset(datos, select=FactorX))

datos<-na.exclude(datosT)

if (missing(OrderCat)) OrderCat=NULL else OrderCat=OrderCat
if (missing(LabelCat)) LabelCat=OrderCat else LabelCat=LabelCat


if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}


if(!is.null(XLAB)) xlab<-XLAB else xlab<-FactorX
if(!is.null(YLAB)) ylab<-YLAB else ylab<-varY

if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=c(5,5,3,2),cex.lab=1.5)
}


datos[,FactorX]<-factor(datos[,FactorX], levels = unique(datos[,FactorX]), labels = unique(datos[,FactorX]))



median<- tapply(datos[, varY], datos[, FactorX], method)


if(!is.null(OrderCat)){
datos[,FactorX]<-factor(datos[,FactorX], levels = OrderCat, labels = LabelCat)
}
else{
if(!is.null(order)){
if(order=="decreasing") names<-names(sort(median, decreasing=TRUE)) else names<-names(sort(median, decreasing=FALSE))

if(order=="alphaAZ") names<-sort(names, decreasing=FALSE) else names<-names

if(order=="alphaZA") names<-sort(names, decreasing=TRUE) else names<-names


if(!is.null(LabelCat))  LabelCat<-LabelCat else LabelCat<-names
datos[,FactorX]<-factor(datos[,FactorX], levels = names, labels = LabelCat)
}
else{
if(!is.null(LabelCat)) datos[,FactorX]<-factor(datos[,FactorX], levels = unique(datos[,FactorX]), labels = LabelCat) else datos<-datos
}
}



rb <- boxplot(datos[,varY] ~ datos[,FactorX], col = "transparent" , border = "transparent",
xlab=xlab, ylab=ylab, xlim=XLIM, ylim=YLIM, axes=FALSE)

mn.t <- tapply(datos[, varY], datos[, FactorX], method)
length<-tapply(datos[, varY], datos[, FactorX], length)
sd.t <- tapply(datos[, varY], datos[, FactorX], sd)
if(dev=="sd"){
sd.t <- tapply(datos[, varY], datos[, FactorX], sd)
}
else{
sd.t<-sd.t/sqrt(length)
}
xi <- seq(rb$n)
par(new=TRUE)

if(!is.null(XLIM)){
}
else{
max<-length(unique(datos[,FactorX]))+1

XLIM<-c(1,max)
}


if(!is.null(YLIM)){
}
else{
maxx<-max(mn.t + sd.t)+1*max(mn.t + sd.t)/100
minn<-min(mn.t - sd.t)-1*min(mn.t - sd.t)/100
YLIM<-c(minn,maxx)
}

plot.default(xi, mn.t ,pch=PCH, col = COLOR, xaxt="n", xlab="", ylab="",
xlim=XLIM, ylim=YLIM, cex=CEX)

arrows(xi, mn.t - sd.t, xi, mn.t + sd.t, code = 3, col = COLORI, angle = 90, length = .1)


if(!is.null(label)){
tx<-paste("text(","x=xi,", "y=mn.t,", "labels=unique(datos[,FactorX]),", toString(x=label), ")")
eval(parse(text=tx))
}
else{
tx<-paste("text(","x=xi,", "y=mn.t,", "labels=unique(datos[,FactorX]),", "pos=4", ")")
eval(parse(text=tx))
}


if(!is.null(LEGEND)){
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
}


if(!is.null(AXIS)){
axisexe<-paste("axis(",toString(x=AXIS), ")")
eval(parse(text=axisexe))
}
else{
}

if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}








}
