F25<-function(data, varY,  varX, order=NULL, jitter=FALSE, ResetPAR=TRUE,  PAR=NULL,  OrderCat=NULL, LabelCat=NULL,
COLOR=NULL, BOXPLOT=NULL, LEGEND=NULL, AXIS=NULL, MTEXT= NULL, TEXT=NULL){


###############################################
#Seccion que realiza el procedimiento
###############################################

datos<-data

datosT<-data.frame(subset(datos, select=varY), subset(datos, select=varX))

datos<-na.exclude(datosT)

if (missing(OrderCat)) OrderCat=NULL else OrderCat=OrderCat
if (missing(LabelCat)) LabelCat=OrderCat else LabelCat=LabelCat

if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}


if(!is.null(COLOR)){
color<-COLOR
color1<-as.list(COLOR)
}
else{
color<-terrain.colors(length(unique(datos[,varX])))
color1<-as.list(color)
}

datos[,varX]<-factor(datos[,varX], levels = unique(datos[,varX]), labels = unique(datos[,varX]))

median<- tapply(datos[, varY], datos[, varX], median)


if(!is.null(OrderCat)){
datos[,varX]<-factor(datos[,varX], levels = OrderCat, labels = LabelCat)
}
else{
if(!is.null(order)){
if(order=="decreasing") names<-names(sort(median, decreasing=TRUE)) else names<-names(sort(median, decreasing=FALSE))

if(order=="alphaAZ") names<-sort(names, decreasing=FALSE) else names<-names

if(order=="alphaZA") names<-sort(names, decreasing=TRUE) else names<-names


if(!is.null(LabelCat))  LabelCat<-LabelCat else LabelCat<-names
datos[,varX]<-factor(datos[,varX], levels = names, labels = LabelCat)
}
else{
if(!is.null(LabelCat)) datos[,varX]<-factor(datos[,varX], levels = unique(datos[,varX]), labels = LabelCat) else datos<-datos
}
}



if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=c(5,5,3,2),cex.lab=1.5)
}



if(!is.null(BOXPLOT)){
boxplotexe<-paste("boxplot(","datos[,varY]~datos[,varX],",toString(x=BOXPLOT), ")")
eval(parse(text=boxplotexe))
}
else{
boxplotexe<-paste("boxplot(","datos[,varY]~datos[,varX],",
"xlab=varX,", "ylab=varY,","col=color",")")
eval(parse(text=boxplotexe))
}


if(jitter==TRUE){

mylevels<-levels(datos[,varX])
levelProportions<-summary(datos[,varX])/nrow(datos)
 
for(i in 1:length(mylevels)){
 
  thislevel<-mylevels[i]
  thisvalues<-datos[datos[,varX]==thislevel, varY]
   
  myjitter<-jitter(rep(i, length(thisvalues)), amount=levelProportions[i]/2)
  points(myjitter, thisvalues, pch=20, col=rgb(0,0,0,.2)) 
   
}

}

if(!is.null(LEGEND)){
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
}


if(!is.null(AXIS)){
axisexe<-paste("axis(",toString(x=AXIS), ")")
eval(parse(text=axisexe))
}
else{
}

if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}


}
