F26<-function(data, varY,  varX, order=NULL, side="no", beanlines="median",
what=c(1,1,1,1), border="black", ResetPAR=TRUE,  PAR=NULL,  OrderCat=NULL, LabelCat=NULL,
COLOR=NULL, BEANPLOT=NULL, LEGEND=NULL, AXIS=NULL, MTEXT= NULL, TEXT=NULL){


###############################################
#Seccion que realiza el procedimiento
###############################################

datos<-data

datosT<-data.frame(subset(datos, select=varY), subset(datos, select=varX))

datos<-na.exclude(datosT)


if (missing(OrderCat)) OrderCat=NULL else OrderCat=OrderCat
if (missing(LabelCat)) LabelCat=OrderCat else LabelCat=LabelCat


if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}





if(!is.null(COLOR)){
color<-COLOR
color1<-as.list(COLOR)
}
else{
color<-terrain.colors(length(unique(datos[,varX])))
color1<-as.list(color)
}

datos[,varX]<-factor(datos[,varX], levels = unique(datos[,varX]), labels = unique(datos[,varX]))

if(beanlines=="quantiles") valor<-"median" else valor<-beanlines
median<- tapply(datos[, varY], datos[, varX], valor)


if(!is.null(OrderCat)){
datos[,varX]<-factor(datos[,varX], levels = OrderCat, labels = LabelCat)
}
else{
if(!is.null(order)){
if(order=="decreasing") names<-names(sort(median, decreasing=TRUE)) else names<-names(sort(median, decreasing=FALSE))

if(order=="alphaAZ") names<-sort(names, decreasing=FALSE) else names<-names

if(order=="alphaZA") names<-sort(names, decreasing=TRUE) else names<-names

if(!is.null(LabelCat))  LabelCat<-LabelCat else LabelCat<-names
datos[,varX]<-factor(datos[,varX], levels = names, labels = LabelCat)
}
else{
if(!is.null(LabelCat)) datos[,varX]<-factor(datos[,varX], levels = unique(datos[,varX]), labels = LabelCat) else datos<-datos
}
}



if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=c(5,5,3,2),cex.lab=1.5)
}







if(!is.null(BEANPLOT)){
beanplotexe<-paste("beanplot::beanplot(","datos[,varY]~datos[,varX],",toString(x=BEANPLOT), ")")
eval(parse(text=beanplotexe))
}
else{
beanplotexe<-paste("beanplot::beanplot(","datos[,varY]~datos[,varX],",
"xlab=varX,", "ylab=varY,","side=side,", "beanlines=beanlines,",
"what=what,", "border=border,","col=color1",")")
eval(parse(text=beanplotexe))
}




if(!is.null(LEGEND)){
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
}


if(!is.null(AXIS)){
axisexe<-paste("axis(",toString(x=AXIS), ")")
eval(parse(text=axisexe))
}
else{
}

if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}








}
