F3<-function(data, X, Y, func, theta=120, phi=15, ticktype="detailed", PERSP=NULL, ResetPAR=TRUE,
PAR=NULL, XLAB=NULL, YLAB=NULL, ZLAB=NULL, XLIM=NULL, YLIM=NULL, ZLIM=NULL, COLOR="red",
LEGEND=NULL, MTEXT= NULL, TEXT=NULL){


###############################################
#Seccion que realiza el procedimiento
###############################################

datos<-data


datosT<-data.frame(subset(datos, select=X), subset(datos, select=Y))


datos<-na.exclude(datosT)

if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}


if(!is.null(XLAB)) xlab<-XLAB else xlab<-"X"
if(!is.null(YLAB)) ylab<-YLAB else ylab<-"Y"
if(!is.null(ZLAB)) zlab<-ZLAB else zlab<-"Z"

if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=c(5,5,3,2),cex.lab=1.5)
}

x<-datos[,X]
y<-datos[,Y]

funct<-paste("outer(x, y, function(x,y)", func,")")
z<-eval(parse(text=funct))

if(!is.null(XLIM)) xlim<-XLIM else xlim<-range(x)
if(!is.null(YLIM)) ylim<-YLIM else ylim<-range(y)
if(!is.null(ZLIM)) zlim<-ZLIM else zlim<-range(z, na.rm = TRUE)

if(!is.null(PERSP)){
plotexe<-paste("persp(","x=x,","y=y,", "z=z,", toString(x=PERSP), ")")
eval(parse(text=plotexe))
}
else{
plotexe<-paste("persp(",",x=x,","y=y,", "z=z,", "theta=theta,",
"phi=phi,", "ticktype=ticktype,", "xlab=xlab,", "ylab=ylab,", "zlab=zlab,", 
"xlim=xlim,","ylim=ylim,","zlim=zlim,", "col=COLOR",")")
eval(parse(text=plotexe))
}



if(!is.null(LEGEND)){
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
}



if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}


}
