F41<-function(data, varZ,  varY, varX, group=NULL, panel=FALSE, CEX=1.2, PCH=NULL, COLOR=NULL,
ZLAB=NULL, YLAB=NULL, XLAB=NULL, ZLIM=NULL, YLIM=NULL, XLIM=NULL, family="serif", cexaxis=1,
cexZ=1.2, fontZ=2, rotZ=90, cexY=1.2, fontY=2, rotY=-50, cexX=1.2, fontX=2, rotX=15,
sz = 20, sx = -70, sy = 10, arrows=FALSE, distance=0.8, LEGEND=NULL){

datos<-data

datosT<-data.frame(subset(datos, select=varZ), subset(datos, select=varY), subset(datos, select=varX))

colores<-c("#FF0000FF","#FF6600FF","#FFCC00FF","#CCFF00FF","#66FF00FF","#00FF00FF","#00FF66FF","#00FFCCFF","#00CCFFFF","#0066FFFF","#0000FFFF","#6600FFFF","#CC00FFFF","#FF00CCFF","#FF0066FF")


if(!is.null(group)){
catn<-length(unique(datos[,group]))
if(!is.null(PCH)){
}
else{
pch1<-14+1
for (t in 2:catn){
pcht<-14+t
pch1<-append(pch1,pcht)
}
PCH<-pch1
}

if(!is.null(COLOR)){
}
else{
COLOR<-colores[c(1:catn)]
}

dati<-as.character(unique(datos[,group]))
datosT<-data.frame(datosT, subset(datos, select=group))
}


datos<-na.exclude(datosT)



if(!is.null(ZLAB)) zlab<-ZLAB else zlab<-varZ
if(!is.null(XLAB)) xlab<-XLAB else xlab<-varX
if(!is.null(YLAB)) ylab<-YLAB else ylab<-varY

if(!is.null(XLIM)){
}
else{
max<-max(datos[,varX])+max(datos[,varX])*1/100
min<-min(datos[,varX])-min(datos[,varX])*1/100
XLIM<-c(min,max)
}

if(!is.null(ZLIM)){
}
else{
max<-max(datos[,varZ])+max(datos[,varZ])*1/100
min<-min(datos[,varZ])-min(datos[,varZ])*1/100
ZLIM<-c(min,max)
}


if(!is.null(YLIM)){
}
else{
max<-max(datos[,varY])+max(datos[,varY])*1/100
min<-min(datos[,varY])-min(datos[,varY])*1/100
YLIM<-c(max,min)
}



fo<-as.formula(paste(names(datos)[1], "~", names(datos)[3],"*",names(datos)[2]))


if(!is.null(group)){
if(panel==TRUE) fo<-as.formula(paste(names(datos)[1], "~", names(datos)[3],"*",names(datos)[2],"|", names(datos)[4])) else fo<-fo
}



if(!is.null(group)){
groups<-datos[,group]
}
else{
groups<-NULL
}

print(lattice::cloud(x=fo, data=datos, cex=CEX, pch=PCH, groups=groups, col=COLOR,
scales = list(arrows=arrows,distance=distance, fontfamily=family, cex=cexaxis),
zlim=ZLIM, ylim=YLIM, xlim=XLIM, 
zlab=list(zlab,cex=cexZ, font=fontZ,rot=rotZ, fontfamily=family),
ylab=list(ylab,cex=cexY, font=fontY,rot=rotY, fontfamily=family),
xlab=list(xlab,cex=cexX, font=fontX,rot=rotX, fontfamily=family),
screen = list(z = sz, x = sx, y = sy)))



if(!is.null(LEGEND)){
legendexe<-paste("vcd::grid_legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
if(panel==FALSE){
if(!is.null(group)){
vcd::grid_legend(x=0.15, y=0.9, labels=dati, frame=FALSE, col=COLOR,
pch=PCH, vgap=0.2, gp=gpar(fontface=1, fontsize=12, fontfamily=family))

}
}
end<-NULL
}



}
