F57<-function(data, varX, varY, varZ=NULL, OrderCatX=NULL, LabelCatX=NULL, 
OrderCatY=NULL, LabelCatY=NULL,  OrderCatZ=NULL, LabelCatZ=NULL, APLOT=NULL,
shade=TRUE, compress=TRUE, main="", family= "Arial", cex.axis=12, cex.lab=15, cex.main=17,
cex.legend=12, font.axis=1, font.lab=2, font.main=2,  legend.text= "Pearson\nresiduals",
XLAB=NULL, YLAB=NULL, ZLAB=NULL){



if (missing(OrderCatY)) OrderCatY=NULL else OrderCatY=OrderCatY
if (missing(LabelCatY)) LabelCatY=OrderCatY else LabelCatY=LabelCatY
if (missing(OrderCatX)) OrderCatX=NULL else OrderCatX=OrderCatX
if (missing(LabelCatX)) LabelCatX=OrderCatX else LabelCatX=LabelCatX
if (missing(OrderCatZ)) OrderCatZ=NULL else OrderCatZ=OrderCatZ
if (missing(LabelCatZ)) LabelCatZ=OrderCatZ else LabelCatZ=LabelCatZ



datos<-data

if(!is.null(varZ)){
datosT<-data.frame(subset(datos, select=varX), subset(datos, select=varY), subset(datos, select=varZ))
datos<-na.exclude(datosT)
}
else{
datosT<-data.frame(subset(datos, select=varX), subset(datos, select=varY))
datos<-na.exclude(datosT)
}


datos<-na.exclude(datosT)

if(!is.null(XLAB)) xlab<-XLAB else xlab<-varX
if(!is.null(YLAB)) ylab<-YLAB else ylab<-varY
if(!is.null(ZLAB)) zlab<-ZLAB else zlab<-varZ


if(!is.null(OrderCatY)){
datos[,varY]<-factor(datos[,varY], levels = OrderCatY, labels = LabelCatY)
}
else{

if(!is.null(LabelCatY)) datos[,varY]<-factor(datos[,varY], levels = unique(datos[,varY]), labels = LabelCatY) else datos<-datos
}

if(!is.null(OrderCatX)){
datos[,varX]<-factor(datos[,varX], levels = OrderCatX, labels = LabelCatX)
}
else{

if(!is.null(LabelCatX)) datos[,varX]<-factor(datos[,varX], levels = unique(datos[,varX]), labels = LabelCatX) else datos<-datos
}

if(!is.null(OrderCatZ)){
datos[,varZ]<-factor(datos[,varZ], levels = OrderCatZ, labels = LabelCatZ)
}
else{

if(!is.null(LabelCatZ)) datos[,varZ]<-factor(datos[,varZ], levels = unique(datos[,varZ]), labels = LabelCatZ) else datos<-datos
}

if(!is.null(varZ)){
colnames(datos)<-c(xlab,ylab,zlab)
}
else{
colnames(datos)<-c(xlab,ylab)
}

if(!is.null(varZ)){
tabla<-with(datos, table(datos[,ylab],datos[,xlab], datos[,zlab], dnn=c(ylab,xlab,zlab)))
TC<-margin.table(tabla, c(1, 2,3))
}
else{
tabla<-with(datos, table(datos[,ylab],datos[,xlab], dnn=c(ylab,xlab)))
TC<-margin.table(tabla, c(1, 2))
}



if(!is.null(APLOT)){
as<-paste("vcd::assoc(","x=TC,", toString(x=APLOT), ")")
eval(parse(text=as))
}
else{
as<-paste("vcd::assoc(","x=TC,", "shade=shade,", "compress=compress,",
"gp_varnames = gpar(fontsize = cex.lab, fontface = font.lab, fontfamily=family),",
"gp_labels=gpar(fontsize = cex.axis, fontface = font.axis, fontfamily=family),",
"main=main,",  "main_gp=gpar(fontsize=cex.main, fontface=font.main, fontfamily=family),",
"legend=vcd::legend_resbased(fontfamily= family, fontsize=cex.legend, text=legend.text)",")")
eval(parse(text=as))
}

}
