F68<-function(data, date, Tmin, Tmax, Prec, year, date.format="%d/%m/%Y",
est="", alt=NA, per="", mlab="RLS", pcol="#005ac8", tcol="#e81800", pfcol="#79e6e8",
sfcol="#09a0d1", shem=FALSE, p3line=FALSE, mar=c(4,4,5,4), ResetPAR=TRUE, PAR=NULL,
file="Output.csv",  na="NA", dec=",", row.names=TRUE){


###############################################
#Seccion que realiza el procedimiento
###############################################


datos<-data


if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}

if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=c(4,4,5,4), pty="s", las=1)
}


####Function for capitalizing the first letter of words from toupper help 
simpleCap <- function(x) {
    s <- strsplit(x, " ")[[1]]
    paste(toupper(substring(s, 1,1)), substring(s, 2),
          sep="", collapse=" ")
}

fechas<-format(as.Date(c("01-01-2000","01-02-2000","01-03-2000","01-04-2000","01-05-2000","01-06-2000",
"01-07-2000","01-08-2000","01-09-2000","01-10-2000","01-11-2000","01-12-2000")), format="%b")
fechas<-sapply(fechas, simpleCap)



if(dim(datos)!=c(4,12)){

cn<-colnames(datos)
pos<-which(cn==date)
colnames(datos)[pos]<-"date"



if(class(datos$date)=="factor" | class(datos$date)=="character"){
datos$date<-as.POSIXct(strptime(datos$date, format = date.format))
}


if(class(datos$date)=="Date" | class(datos$date)=="POSIXt" | class(datos$date)=="POSIXct"){
if(date.format=="%d/%m/%Y %H:%M"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), " " ,format(datos$date, "%H"), ":", format(datos$date, "%M"), sep="")
}

if(date.format=="%d/%m/%Y"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), sep="")
}

if(date.format=="%Y/%m/%d %H:%M"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), " " ,format(datos$date, "%H"), ":", format(datos$date, "%M"), sep="")
}

if(date.format=="%Y/%m/%d"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), sep="")
}

}



if(date.format=="%Y/%m/%d %H:%M"){ date.format<-"%d/%m/%Y %H:%M"}

if(date.format=="%Y/%m/%d"){ date.format<-"%d/%m/%Y"}

cn<-colnames(datos)
pos<-which(cn=="date")
se<-pos
pos<-which(cn==Tmin)
se<-append(se,pos)
pos<-which(cn==Tmax)
se<-append(se,pos)
pos<-which(cn==Prec)
se<-append(se,pos)

datos1<-datos[,se]


if(dec=="."){
write.csv(x=datos1,file = "Temp.csv", row.names=FALSE, sep=",", na="")
}
else{
write.csv2(x=datos1,file = "Temp.csv", row.names=FALSE, sep=";", na="")
}


if(dec=="."){
datos1<-openair::import(file="Temp.csv", sep=",", date.format=date.format)
}
else{
datos1<-openair::import(file="Temp.csv", sep=";", date.format=date.format)
}


if(!missing(year)) {datos1<-openair::selectByDate(datos1, year = year)}

nyears<-length(unique(format(x=datos1$date, format="%Y")))


cn<-colnames(datos1)

Month<-format(datos1$date, "%m")

datos2<-data.frame(Month,datos1)


if(dec=="."){
write.csv(x=datos2,file = "Temp.csv", row.names=FALSE, sep=",", na="")
}
else{
write.csv2(x=datos2,file = "Temp.csv", row.names=FALSE, sep=";", na="")
}


if(dec=="."){
datos2<-read.csv(file = "Temp.csv", header=TRUE)
}
else{
datos2<-read.csv2(file = "Temp.csv", header=TRUE)
}


Min.t<-aggregate(datos2[,Tmin],by=list(datos2$Month),mean, na.rm=TRUE)
Max.t<-aggregate(datos2[,Tmax],by=list(datos2$Month),mean, na.rm=TRUE)
Prec.<-aggregate(datos2[,Prec],by=list(datos2$Month),sum, na.rm=TRUE)
Ab<-aggregate(datos2[,Tmin],by=list(datos2$Month),min, na.rm=TRUE)



final<-t(data.frame(Prec.[,2]/nyears,Max.t[,2],Min.t[,2],Ab[,2]))

colnames(final)<-fechas

rownames(final)<-c("Prec.","Max.t.", "Min.t.","Ab.m.t.")

if(dec=="."){
write.csv(x=final,file = file, fileEncoding = "", row.names=row.names,na=na)
}
else{
write.csv2(x = final,file = file, fileEncoding = "", row.names=row.names,na=na)
}

}

else{
final<-datos
}


#########Walter- Lieth diagram by J. A. Guijarro (AEMET, Spain)
diagwl <- function(dat, est="", alt=NA, per="", mlab="", pcol="#005ac8", tcol="#e81800", pfcol="#79e6e8",
    sfcol="#09a0d1", shem=FALSE, p3line=FALSE, ...) {
  old.par <- par(no.readonly = TRUE)
  nr <- nrow(dat) #no. de filas de datos mensuales
  if(nrow(dat) < 4) { cat("Debe haber 4 filas de datos mensuales\n"); break; }
  #etiquetas de los meses
  if(mlab=="RLS") mlab<-fechas else mlab=c(1:12) #etiquetas numricas
  dat <- as.matrix(dat)
  if(shem) { #Hemisferio sur: desplazar los datos medio ao
    m1 <- dat[,1:6]
    m2 <- dat[,7:12]
    dat <- cbind(m2,m1)
    mlab <- c(mlab[7:12],mlab[1:6])
  }
  p <- dat[1,] #precipitaciones medias mensuales
  if(nr==2) tm <- dat[2,]
  else tm <- apply(dat[2:3,],2,mean)  #temperaturas medias mensuales
  pmax <- max(p) #precipitacin mxima
  ymax <- 60  #mxima ordenada por defecto
  if(pmax > 300) ymax <- 50 + 10*floor((pmax+100)/200)
  ymin <- min(-1.5,min(tm)) #mnima ordenada sin redondear
  #ejes:
  if(ymin < -1.5) {
    ymin=floor(ymin/10)*10 #mnima ordenada redondeada
    labT <- paste(ymin)
    labP <- ""
    if(ymin < -10) {
      for(i in (ymin/10+1):-1) {
        labT <- c(labT,i*10)
        labP <- c(labP,"")
      }
    }
    labT <- c(labT,"0","10","20","30","40","50","")
    labP <- c(labP,"0","20","40","60","80","100","300")
  }
  else {
    labT <- c("0","10","20","30","40","50","")
    labP <- c("0","20","40","60","80","100","300")
  }
  if(ymax > 60) {
    for(i in 6:(ymax/10-1)) {
      labT <- c(labT,"")
      labP <- c(labP,100*(2*i-7))
    }
  }
  plot(0:13-0.5,c(tm[12],tm[1:12],tm[1]),xlim=c(0,12),ylim=c(ymin,ymax),type="n",xaxs="i",yaxs="i",xaxp=c(0,12,12),xlab="",ylab="",xaxt="n",yaxt="n",bty="n")
  lmin <- ymin #mnima ordenada a rotular
  if(lmin==-1.5) lmin=0
  axis(2,((lmin/10):(ymax/10))*10,labels=labT,col.axis=tcol)
  axis(4,((lmin/10):(ymax/10))*10,labels=labP,col.axis=pcol)
  mtext(expression(" \u00B0C"),2,col=tcol,las=1,line=3,adj=0,at=55)
  mtext("mm",4,col=pcol,las=1,line=3,adj=1,at=55)
  abline(0,0)
  abline(50,0)
  #rtulos:
  if(is.na(alt)) mtext(est,line=2,adj=0)
  else mtext(paste(est," (",alt," m)",sep=""),line=2,adj=0)
  mtext(per,line=1,adj=0)
  mtext(paste(round(mean(tm*10))/10,expression(" \u00B0C        "),round(sum(p))," mm",sep=""),line=1,adj=1)
  x <- 0:13-0.5
  p2 <- c(p[12],p[1:12],p[1])
  if(p3line) { #lnea adicional de precipitacin a escala 1:3
    yl3 <- c(p[12],p[1:12],p[1])/3
    yl3[yl3>50] <- 50
  }
  if(pmax<=100) {
    xl <- x
    yl <- c(p[12],p[1:12],p[1])/2
    n2 <- 14
  }
  else { #cambio de escala en prec. > 100
    xp <- numeric(30)
    yp <- numeric(30)
    xl <- numeric(25)
    yl <- numeric(25)
    n <- 0
    n2 <- 0
    gr <- FALSE
    if(p2[1]>100) { #primer punto
      n <- n+1
      xp[n] <- x[1]
      yp[n] <- 50
      n <- n+1
      xp[n] <- x[1]
      yp[n] <- 50 + (p2[1]-100)/20
      n2 <- n2+1
      xl[n2] <- x[1]
      yl[n2] <- 50
      gr <- TRUE
    }
    else {
      n2 <- n2+1
      xl[n2] <- x[1]
      yl[n2] <- p2[1]/2
    }
    for(i in 2:14) {  #dems puntos
      if(gr) {  #si p anterior > 100
        n <- n+1
        if(p2[i]>100) {
          xp[n] <- x[i]
          yp[n] <- 50 + (p2[i]-100)/20
        }
        else {
          xp[n] <- x[i-1] + (100-p2[i-1])/(p2[i]-p2[i-1])
          yp[n] <- 50
          n2 <- n2+1
          xl[n2] <- xp[n]
          yl[n2] <- 50
          n <- n+1
          xp[n] <- NA
          yp[n] <- NA
          n2 <- n2+1
          xl[n2] <- x[i]
          yl[n2] <- p2[i]/2
          gr <- FALSE
        }
      }
      else {  # p anterior <=100
        if(p2[i]>100) { #si p > 100
          n <- n+1
          xp[n] <- x[i-1] + (100-p2[i-1])/(p2[i]-p2[i-1])
          yp[n] <- 50
          if(xl[n2]!=x[i-1]) {  #no repetir puntos!
            n2 <- n2+1
            xl[n2] <- x[i-1]
            yl[n2] <- p2[i-1]/2
          }
          n2 <- n2+1
          xl[n2] <- xp[n]
          yl[n2] <- 50
          n <- n+1
          xp[n] <- x[i]
          yp[n] <- 50 + (p2[i]-100)/20
          gr <- TRUE
        }
        else { # p <=100
          n2 <- n2+1
          xl[n2] <- x[i]
          yl[n2] <- p2[i]/2
        }
      }
    }
    if(!is.na(yp[n])) {  #cerrar ltimo polgono
      n <- n+1
      xp[n] <- xp[n-1]
      yp[n] <- 50
      n2 <- n2+1
      xl[n2] <- 12.5
      yl[n2] <- 50
    }
    polygon(xp[1:n],yp[1:n],col=pcol,border=pcol)
  }
  #tramas:
  pi <- approx(xl[1:n2],yl[1:n2],n=66)$y
  ti <- approx(x,c(tm[12],tm[1:12],tm[1]),n=66)$y
  ti[ti<0] <- 0 #no poner tramas por debajo del cero
  d <- pi - ti
  xi <- (1:66)/5-0.7
  xw <- subset(xi,d>0) #periodo hmedo
  y1 <- subset(pi,d>0)
  y2 <- subset(ti,d>0)
  if(length(xw)>0) segments(xw,y1,xw,y2,col=pcol,lty=1,lwd=1)
  xw <- subset(xi,d<0) #periodo seco
  y1 <- subset(pi,d<0)
  y2 <- subset(ti,d<0)
  if(length(xw)>0) segments(xw,y1,xw,y2,col=tcol,lty=3,lwd=2)
  #heladas seguras
  for(i in 1:12) if(dat[3,i]<=0) rect(i-1,-1.5,i,0,col=sfcol)
  #heladas probables
  for(i in 1:12) if(dat[4,i]<=0 && dat[3,i]>0) rect(i-1,-1.5,i,0,col=pfcol)
  #curvas de P y T:
  lines(xl[1:n2],yl[1:n2],col=pcol,lwd=2)
  if(p3line) lines(x,yl3)
  lines(x,c(tm[12],tm[1:12],tm[1]),col=tcol,lwd=2)
  #media de las mximas del mes ms clido
  mtext(formatC(max(as.matrix(dat[2,])),digits=1,format="f"),2,las=1,
    line=2,at=35)
  #media de las mnimas del mes ms fro
  mtext(formatC(min(as.matrix(dat[3,])),digits=1,format="f"),2,las=1,
    line=2,at=15)
  #marcar lmites de los meses:
  for(i in 0:13) segments(i,0,i,-1.5)
  #rtulos meses:
  mtext(mlab,1,las=1,line=0.5,adj=0.5,at=x[2:13])
  #reset old.par (restablecemos parmetros grficos anteriores):
  invisible()
}

########End diagwl function


diagwl(dat=final,est=est, alt=alt, per=per, margen=mar,
mlab=mlab, pcol=pcol, tcol=tcol, pfcol=pfcol,
sfcol=sfcol, shem=shem, p3line=p3line)


}
