F70<-function(data, date, var, symbolvar=NULL, colorvar=NULL, year, month, avg.time="day",
date.format="%d/%m/%Y %H:%M", ticks=10,  symbols=NULL, colors=NULL, mode = "lines",
TRACE=FALSE, LEGEND=FALSE, MAIN=NULL, XLAB=NULL, YLAB=NULL,
XFONT=list(family = "Courier New, monospace", size = 24,  color = "black"),
YFONT=list(family="Courier New, monospace", size=24,  color="black"), marker=list(size=10),
yaxis=list(title=ylab, titlefont=YFONT), xaxis=list(title=xlab, autotick=TRUE, dtick=dtick, titlefont=XFONT),
line=list(color=colors, dash = "solid"), traceline=list(color=colors, dash = "dash"), dec=","){


###############################################
#Seccion que realiza el procedimiento
###############################################

require(plotly)

datos<-data


##  various check to make sure all the data are available ##

if(missing(date) & !missing(year)) {
stop("Error: It is necessary to specify the variable date")
}

if(missing(date) & !missing(month)) {
stop("Error: It is necessary to specify the variable date")
}

if(!is.null(colorvar) & !is.null(symbolvar)) {
stop("Error: It is possible to specify a variable for either colorvar or symbolvar, but not for both")
}



if(!is.null(symbolvar) & mode=="lines"){mode<-"lines+markers"}
if(!is.null(symbolvar) & mode=="lines+text"){mode<-"lines+markers+text"}
if(!is.null(symbolvar) & mode=="text"){mode<-"markers+text"}



if(!is.null(date)){
cn<-colnames(datos)
pos<-which(cn==date)
colnames(datos)[pos]<-"date"

if(class(datos$date)=="factor" | class(datos$date)=="character"){
datos$date<-as.POSIXct(strptime(datos$date, format = date.format))
}



if(class(datos$date)=="Date" | class(datos$date)=="POSIXt" | class(datos$date)=="POSIXct"){
if(date.format=="%d/%m/%Y %H:%M"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), " " ,format(datos$date, "%H"), ":", format(datos$date, "%M"), sep="")
}

if(date.format=="%d/%m/%Y"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), sep="")
}

if(date.format=="%Y/%m/%d %H:%M"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), " " ,format(datos$date, "%H"), ":", format(datos$date, "%M"), sep="")
}

if(date.format=="%Y/%m/%d"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), sep="")
}

}


if(date.format=="%Y/%m/%d %H:%M"){ date.format<-"%d/%m/%Y %H:%M"}

if(date.format=="%Y/%m/%d"){ date.format<-"%d/%m/%Y"}

if(class(datos$date)=="factor" | class(datos$date)=="character"){
datos$date<-as.POSIXct(strptime(datos$date, format = date.format))
}



if (missing(year)) {

}
else{
datos<-openair::selectByDate(datos, year = year)
}
if (missing(month)) {

}
else{
datos<-openair::selectByDate(datos, month = month)
}

}



if(!is.null(colorvar)){

LEGEND<-TRUE
catn<-length(unique(datos[,colorvar]))
dati<-as.character(unique(datos[,colorvar]))

for(h in 1:catn){
datos1<-subset(datos,datos[,colorvar]==dati[h])
if(class(datos1$date)=="factor" | class(datos1$date)=="character"){
datos1$date<-as.POSIXct(strptime(datos1$date, format = date.format))
}
datos1<- openair::timeAverage(datos1, avg.time = avg.time, date.format=date.format)
datos1<-data.frame(dati[h], datos1)
if(h==1) datos2<-datos1 else datos2<-rbind(datos2,datos1)
}
datos<-datos2
remove(datos1)
remove(datos2)
colnames(datos)[1]<-colorvar

}


if(!is.null(symbolvar)){
LEGEND<-TRUE
catn<-length(unique(datos[,symbolvar]))
dati<-as.character(unique(datos[,symbolvar]))

for(h in 1:catn){
datos1<-subset(datos,datos[,symbolvar]==dati[h])
if(class(datos1$date)=="factor" | class(datos1$date)=="character"){
datos1$date<-as.POSIXct(strptime(datos1$date, format = date.format))
}
datos1<- openair::timeAverage(datos1, avg.time = avg.time, date.format=date.format)
datos1<-data.frame(dati[h], datos1)
if(h==1) datos2<-datos1 else datos2<-rbind(datos2,datos1)
}
datos<-datos2
remove(datos1)
remove(datos2)
colnames(datos)[1]<-symbolvar
}


if(is.null(colorvar) & is.null(symbolvar)) {
datos<- openair::timeAverage(datos, avg.time = avg.time, date.format=date.format)
}


if(class(datos$date)=="Date" | class(datos$date)=="POSIXt" | class(datos$date)=="POSIXct"){
if(date.format=="%d/%m/%Y %H:%M"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), " " ,format(datos$date, "%H"), ":", format(datos$date, "%M"), sep="")
}

if(date.format=="%d/%m/%Y"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), sep="")
}

if(date.format=="%Y/%m/%d %H:%M"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), " " ,format(datos$date, "%H"), ":", format(datos$date, "%M"), sep="")
}

if(date.format=="%Y/%m/%d"){
datos$date<-paste(x=format(datos$date, "%d"),"/",format(datos$date, "%m"),"/",
format(datos$date, "%Y"), sep="")
}

}

datos<-as.data.frame(datos)



if(!is.null(YLAB)) ylab<-YLAB else ylab<-var

if(!is.null(XLAB)) xlab<-XLAB else xlab<-"Date"

nr<-dim(datos)
sq<-seq(1:nr[1])

if(!is.null(colorvar) | !is.null(symbolvar)) dtick<-round((nr[1]/catn)/ticks) else dtick<-round(nr[1]/ticks)

if(!is.null(colorvar)){
colorvar<-datos[,colorvar]
}
else{
colorvar<-colorvar
}


if(!is.null(symbolvar)){
symbolvar<-datos[,symbolvar]
}
else{
symbolvar<-symbolvar
}

if(is.null(symbolvar) & !is.null(symbols)){symbolvar<-symbols}

if(is.null(colorvar) & !is.null(colors)){colorvar<-colors}




if(class(datos$date)=="factor" | class(datos$date)=="character"){
datos$date<-as.POSIXct(strptime(datos$date, format = date.format))
}


if(TRACE==TRUE){
plotly::plot_ly(data=datos, x = datos[,"date"], y=datos[,var], line=line, color=colorvar, colors=colors, type="scatter", symbol=symbolvar, symbols=symbols, mode=mode, marker=marker) %>%
plotly::layout(title = MAIN, showlegend = LEGEND, xaxis=xaxis, yaxis=yaxis) %>%
plotly::add_trace(x = datos[,"date"], y = fitted(loess(datos[,var] ~ sq)), line=traceline, color=colorvar, colors=colors, symbol=symbolvar, symbols=symbols, showlegend=FALSE)
}
else{
plotly::plot_ly(data=datos, x = datos[,"date"], y=datos[,var], line=line, color=colorvar, colors=colors, type="scatter", symbol=symbolvar, symbols=symbols, mode=mode, marker=marker) %>%
plotly::layout(title = MAIN, showlegend = LEGEND, xaxis=xaxis, yaxis=yaxis)
}



}
