F72<-function(data, X, Y,  Z,  CONTOUR=NULL,  XLAB=NULL, YLAB=NULL, ZLAB=NULL,
COL="blue", ResetPAR=TRUE, PAR=NULL,  MTEXT= NULL, TEXT=NULL){

datos<-data

if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}


if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=c(5,5,3,2),cex.lab=1.5)
}



if(!missing(X)){
input<-akima::interp(datos[,X], datos[,Y], datos[,Z], , duplicate= "mean")
if(!is.null(XLAB)) xlab<-XLAB else xlab<-X
if(!is.null(YLAB)) ylab<-YLAB else ylab<-Y

xmin<-min(datos[,X], na.rm=TRUE)
xmax<-max(datos[,X], na.rm=TRUE)

ymin<-min(datos[,Y], na.rm=TRUE)
ymax<-max(datos[,Y], na.rm=TRUE)
plot(x = 0, y = 0,type = "n", xlim = c(xmin,xmax), ylim = c(ymin,ymax), xlab = xlab,ylab = ylab)
add=TRUE
}
else{
input<-datos
xlab=""
ylab=""
add=FALSE
}



if(!is.null(CONTOUR)){
tx<-paste("contour(", "x=input,", toString(x=CONTOUR), ")")
eval(parse(text=tx))
}
else{
tx<-paste("contour(", "x=input,", "lty = 'solid',", "add=add,", "nlevels = 15,", "labcex=1,", "col=COL", ")")
eval(parse(text=tx))
}



if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
if(!missing(Z)){
mtextexe<-paste("mtext(","text=Z,", "line=1,", "font=2,", "cex=2",  ")")
eval(parse(text=mtextexe))
}
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}



}