F82<-function(data, varY,  varX, group, textlabel=NULL, label=NULL, MAR1=c(5,5,1,1), MAR2=c(1,5,1,1), MAR3=c(5,1,1,1), 
 reg=FALSE,  model="Linear", outliers=FALSE, quant1=0.05,
quant2 = 0.95,  ResetPAR=FALSE, PAR=NULL, XLAB=NULL, YLAB=NULL,
COLOR=NULL, COLORR=NULL, PCH=NULL, CEX=1,  lty=NULL, lwd=2.5, 
PLOT=NULL, LEGEND=NULL,  AXIS=NULL, MTEXT= NULL, TEXT=NULL,
HIST=NULL, HISTh=NULL, breaks=20,  COLORl=NULL, COLORb=NULL,
dec=",", file="Output.txt"){



###############################################
#Seccion que realiza el procedimiento
###############################################

datos<-data

if (missing(textlabel)) textlabel=NULL else textlabel=textlabel
if (missing(label)) label=NULL else label=label

datosT<-data.frame(subset(datos, select=varY), subset(datos, select=varX), subset(datos, select=group))

if(!is.null(textlabel)){
datosT<-data.frame(subset(datos, select=varY), subset(datos, select=varX), subset(datos, select=group), subset(datos, select=textlabel))
}

datos<-na.exclude(datosT)

reggg<-reg

mz<-matrix(c(2,0,1,3),2,2,byrow=TRUE)

layout(mz,widths=c(3,1), heights=c(1,3), respect=TRUE)

remove_outliers <- function(x, na.rm = TRUE, ...) {
  qnt <- quantile(x, probs=c(quant1, quant2), na.rm = na.rm, ...)
  H <- 1.5 * IQR(x, na.rm = na.rm)
  y <- x
  y[x < (qnt[1] - H)] <- NA
  y[x > (qnt[2] + H)] <- NA
  y
}



if(!is.null(XLAB)) xlab<-XLAB else xlab<-varX
if(!is.null(YLAB)) ylab<-YLAB else ylab<-varY

mar<-MAR1

if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=1, mar=c(5,5,3,2),cex.lab=1.5)
}


if(!is.null(COLOR)){

}
else{
COLOR<-rainbow(length(unique(datos[,group])), alpha=0.4)
}


if(!is.null(COLORR)){
}
else{
COLORR<-rainbow(length(unique(datos[,group])), alpha=0.4)
}

catn<-length(unique(datos[,group]))

if(!is.null(PCH)){

}
else{
pch1<-14+1
for (t in 2:catn){
pcht<-14+t
pch1<-append(pch1,pcht)
}
PCH<-pch1
}


if(!is.null(lty)){

}
else{
pch1<-0+1
for (t in 2:catn){
pcht<-0+t
pch1<-append(pch1,pcht)
}
lty<-pch1
}




ymax<-max(datos[,varY],na.rm=T)
ymin<-min(datos[,varY],na.rm=T)
xmax<-max(datos[,varX],na.rm=T)
xmin<-min(datos[,varX],na.rm=T)



dati<-as.character(unique(datos[,group]))

RR<-as.character(unique(datos[,group]))

datas<-datos



if(!is.null(PLOT)){
plotexe<-paste("plot.default(","datos[,varY]~datos[,varX],", "type='n',", toString(x=PLOT), ")")
eval(parse(text=plotexe))
}
else{
plotexe<-paste("plot.default(","datos[,varY]~datos[,varX],", "type='n',",
"xlab=xlab,", "ylab=ylab,","col=COLOR,","pch=PCH",")")
eval(parse(text=plotexe))
}


if(reg==TRUE){


for(h in 1:catn){

datos<-subset(datas,datas[,group]==dati[h])

if(model=="Linear"){

datos2<-data.frame(datos[,varY],datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
res<-residuals(reg)

if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)
datos2<-data.frame(datos[,varY],datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)


cx<-seq(xmin,xmax, length.out = 100)
cy<-reg$coefficients[1]+reg$coefficients[2]*cx

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"LINEAR REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)



}#Fin Linear



if(model=="Log"){

if(min(datos[,varX])>=0.01){
datos2<-data.frame(datos[,varY],log(datos[,varX]))
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
res<-residuals(reg)

if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)

datos2<-data.frame(datos[,varY],log(datos[,varX]))
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)


cx<-seq(xmin,xmax, length.out = 100)
cy<-reg$coefficients[1]+reg$coefficients[2]*log(cx)

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"LOG REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)


}#Fin si el valor de X es mayor de cero
}#Fin Log


if(model=="S-curve"){

if(min(datos[,varY])>=0.01){
datos2<-data.frame(log(datos[,varY]),1/datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
res<-datos[,varY]-exp(reg$coefficients[1]+reg$coefficients[2]/datos[,varX])


if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)

datos2<-data.frame(log(datos[,varY]),1/datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)

cx<-seq(xmin,xmax, length.out = 100)
cy<-exp(reg$coefficients[1]+reg$coefficients[2]/cx)

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"S-CURVE REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)


}#Fin si el valor de X es mayor de cero
}#Fin S-curve


if(model=="Power"){

if(min(datos[,varY])>=0.01){
if(min(datos[,varX])>=0.01){
datos2<-data.frame(log(datos[,varY]),log(datos[,varX]))
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
res<-datos[,varY]-exp(reg$coefficients[1])*datos[,varX]^reg$coefficients[2]

if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)

datos2<-data.frame(log(datos[,varY]),log(datos[,varX]))
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)



cx<-seq(xmin,xmax, length.out = 100)
cy<-exp(reg$coefficients[1])*cx^reg$coefficients[2]

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"POWER REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)


}#mini Y
}#min X
}#Fin Power


if(model=="Exp"){

if(min(datos[,varY])>=0.01){
datos2<-data.frame(log(datos[,varY]),datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
res<-datos[,varY]-exp(reg$coefficients[1])*exp(datos[,varX]*reg$coefficients[2])


if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)

datos2<-data.frame(log(datos[,varY]),datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)


cx<-seq(xmin,xmax, length.out = 100)
cy<-exp(reg$coefficients[1])*exp(cx*reg$coefficients[2])

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"EXPONENTIAL REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)


}#Fin si el valor de X es mayor de cero
}#Fin Exp


if(model=="Quadratic"){

datos2<-data.frame(datos[,varY],datos[,varX],datos[,varX]^2)
colnames(datos2)<-c(varY,varX,paste(varX,"2",sep=""))
fo<-paste(names(datos2)[1], "~", names(datos2)[2],"+",names(datos2)[3])
reg<-lm(fo,data=datos2)
res<-residuals(reg)

if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)

datos2<-data.frame(datos[,varY],datos[,varX],datos[,varX]^2)
colnames(datos2)<-c(varY,varX,paste(varX,"2",sep=""))
fo<-paste(names(datos2)[1], "~", names(datos2)[2],"+",names(datos2)[3])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)



cx<-seq(xmin,xmax, length.out = 100)
cy<-reg$coefficients[1]+reg$coefficients[2]*cx+reg$coefficients[3]*cx^2

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"QUADRATIC REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)


}#Fin Quadratic

if(model=="Cubic"){

datos2<-data.frame(datos[,varY],datos[,varX],datos[,varX]^2,datos[,varX]^3)
colnames(datos2)<-c(varY,varX,paste(varX,"2",sep=""),paste(varX,"3",sep=""))
fo<-paste(names(datos2)[1], "~", names(datos2)[2],"+",names(datos2)[3],"+",names(datos2)[4])
reg<-lm(fo,data=datos2)
res<-residuals(reg)

if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)

datos2<-data.frame(datos[,varY],datos[,varX],datos[,varX]^2,datos[,varX]^3)
colnames(datos2)<-c(varY,varX,paste(varX,"2",sep=""),paste(varX,"3",sep=""))
fo<-paste(names(datos2)[1], "~", names(datos2)[2],"+",names(datos2)[3],"+",names(datos2)[4])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)


cx<-seq(xmin,xmax, length.out = 100)
cy<-reg$coefficients[1]+reg$coefficients[2]*cx+reg$coefficients[3]*cx^2+reg$coefficients[4]*cx^3

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"CUBIC REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)


}#Fin Cubic



if(model=="Inverse"){

if(is.na(match(0,datos[,varX]))){
datos2<-data.frame(datos[,varY],1/datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
res<-residuals(reg)

if(outliers==TRUE){
resOut<- remove_outliers(res)
datosOut<-data.frame(datos,resOut)
datos<-na.exclude(datosOut)

datos2<-data.frame(datos[,varY],1/datos[,varX])
colnames(datos2)<-c(varY,varX)
fo<-paste(names(datos2)[1], "~", names(datos2)[2])
reg<-lm(fo,data=datos2)
}

Re<-summary(reg)




cx<-seq(xmin,xmax, length.out = 100)
cy<-reg$coefficients[1]+reg$coefficients[2]*1/cx

lines(cx,cy,  col=COLORR[h], lty=lty[h], lwd=lwd)

res<-residuals(reg)

#Normality

residshapiro<-length(res)
if(5 < residshapiro & residshapiro <5000){
Lillie<-nortest::lillie.test(res)
}
else{
Lillie<-"It was not possible to perform the Lilliefors test for normality test, n must be between 5 and 5000"
}

#Autocorrelation
DW<-lmtest::dwtest(reg)

#Homocedasticity
BreuschPagan<-lmtest::bptest(reg)


Resultados<-list(dati[h],"INVERSE REGRESSION",Re,"Normality", Lillie, "Autocorrelation", DW, "Homocedasticity",BreuschPagan)

print(Resultados)

if(h==1) ResultadosF<-Resultados else ResultadosF<-append(ResultadosF,Resultados)


}#Fin si el valor de X es mayor de cero
}#Fin Inverse

}#Fin blucle for para los grupos

}#Fin regresion


if(reggg==TRUE){
if(!is.null(file)){
sink(file)
print(ResultadosF)
sink()
}
}

datos<-datas


for(h in 1:catn){

datas<-subset(datos,datos[,group]==dati[h])

points(x=datas[,varX],y=datas[,varY], pch=PCH[h], col=COLOR[h], cex=CEX)

}#Fin blucle for para los grupos



if(!is.null(textlabel)){
if(!is.null(label)){
tx<-paste("text(","x=datos[,varX],", "y=datos[,varY],", "labels=datos[,textlabel],", toString(x=label), ")")
eval(parse(text=tx))
}
else{
tx<-paste("text(","x=datos[,varX],", "y=datos[,varY],", "labels=datos[,textlabel],", "pos=4", ")")
eval(parse(text=tx))
}
}





if(reggg==FALSE) lty<-0 else lty<-lty


if(!is.null(LEGEND)){
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
legendexe<-paste("legend(","x='topleft',","legend=dati,","bty='n',", "lty=lty,", "col=COLOR,",
"pch=PCH", ")")
eval(parse(text=legendexe))
}

if(!is.null(AXIS)){
axisexe<-paste("axis(",toString(x=AXIS), ")")
eval(parse(text=axisexe))
}
else{
}

if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}


#Comienza los histogramas


if(is.null(COLORl)){
COLORl<-COLOR
}


if(is.null(COLORb)){
COLORb<-COLORl
}





for(gr in 1:2){

if(gr==1){
horiz<-FALSE
var<-varX
mar<-MAR2
}
else{
var<-varY
horiz<-TRUE
mar<-MAR3
}



datos<-data

datosT<-data.frame(subset(datos, select=var), subset(datos, select=group))



datos<-na.exclude(datosT)


if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}

dati<-as.character(unique(datos[,2]))


datas<-datos



if(!is.null(XLAB)) xlab<-XLAB else xlab<-var



if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=1, mar=mar,cex.lab=1.5)
}


maxx<-max(datos[,1], na.rm=TRUE)
minx<-min(datos[,1], na.rm=TRUE)
XLIM<-c(minx,maxx)
if(horiz==TRUE){
XLIMb<-c(0,breaks)
}




catn<-length(unique(dati))



maxden<-0


for(h in 1:catn){
datos3<-subset(datos, datos[,2]==dati[h])
histog<-hist(datos3[,1], breaks=breaks, plot=FALSE)
maxd<-max(histog$counts)
if(maxd>maxden) maxden<-maxd else maxden<-maxden
}



coli<-2
YLIM<-c(0,maxden)


if(horiz==TRUE){

rango<-range(datos[,var] , na.rm = TRUE)

intervalos<- seq(rango[1], rango[2], by=(rango[2]-rango[1])/breaks)

for(h in 1:catn){
datos3<-subset(datos, datos[,2]==dati[h])


Lm<-as.matrix(datos3)

L.f<-cut(as.numeric(Lm[,1]), intervalos, right=FALSE)
t<-table(L.f)
t<-as.vector(t)


if(coli==2){
if(h==1){
maxh<-max(t)
}
else{
if(maxh>max(t)) YLIM<-c(0,maxh) else YLIM<-c(0,max(t))
}
}#end coli
}#end for
}#end horizontal==TRUE


for(h in 1:catn){
datos3<-subset(datos, datos[,2]==dati[h])
if(h>1){
par(new=TRUE)
}

if(horiz==TRUE){

Lm<-as.matrix(datos3)

L.f<-cut(as.numeric(Lm[,1]), intervalos, right=FALSE)
t<-table(L.f)
t<-as.vector(t)


if(!is.null(HISTh)){
scatterplotexe<-paste("barplot(","height=t,", "horiz=TRUE,",  toString(x=HISTh), ")")
bar<-eval(parse(text=scatterplotexe))
}
else{
scatterplotexe<-paste("barplot(","height=t,", "horiz=TRUE,",
"space=0,", "ylim=XLIMb,", "xlim=YLIM,","col=COLORl[h],",
"border=COLORb[h],","xlab='',", "ylab=''",")")
bar<-eval(parse(text=scatterplotexe))
}



}
else{


if(!is.null(HIST)){
tx<-paste("hist(","x=datos3[,1],", "breaks=breaks,", "freq=TRUE,", toString(x=HIST), ")")
eval(parse(text=tx))
}
else{
tx<-paste("hist(","x=datos3[,1],", "breaks=breaks,", "border=COLORb[h],", "col=COLORl[h],", 
"xlim=XLIM,", "ylim=YLIM,", "xlab='',", "ylab='',", "main='',", "freq=TRUE", ")")
eval(parse(text=tx))
}

}

llty<-length(lty)

if(llty==1){
pch1<-lty
for (t in 2:catn){
pcht<-lty
pch1<-append(pch1,pcht)
}
lty<-pch1
}
else{
}





}



if(horiz==TRUE){

seq1<-seq(from=0, to=length(intervalos)-1)
seq2<-intervalos

if(length(var)>1) meanvar<-mean(colMeans(datos[,var], na.rm=TRUE)) else meanvar<-mean(datos[,var], na.rm=TRUE)
maxvar<-max(datos[,var], na.rm=TRUE)
minvar<-min(datos[,var], na.rm=TRUE)

if(abs(maxvar-meanvar)<=abs(meanvar-minvar)){
sequ<-seq(from=length(seq2), to=1, by=-breaks/5)
}
else{
sequ<-seq(from=1, to=length(seq2), by=breaks/5)
}

dig<-0

if(intervalos[2]-intervalos[1]<1){
dig=1
}

if(intervalos[2]-intervalos[1]<0.5){
dig=2
}

if(intervalos[2]-intervalos[1]<0.1){
dig=2
}

if(intervalos[2]-intervalos[1]<0.01){
dig=3
}

if(intervalos[2]-intervalos[1]<0.001){
dig=4
}

if(intervalos[2]-intervalos[1]<0.0001){
dig=5
}

axis(2,at=seq1[sequ], labels=round(seq2[sequ], digits=dig))
}


}#end for gr


}
