F87<-function(data, var, cat, shade=TRUE, type="p", ResetPAR=TRUE,  PAR=NULL, SPIDER=NULL,
COLOR=NULL,  LIMITS=NULL, PCH=NA, LTY=1, AXISP=2, POSL=1.15, MAIN=NULL, LEG=TRUE, 
LEGEND=NULL, MTEXT= NULL, TEXT=NULL){


datos<-data
datosT<-data.frame(subset(datos,select=cat), subset(datos, select=var))
datos<-na.exclude(datosT)


if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}


if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.axis=2,cex.lab=1,cex.axis=1.5, lty=LTY)
}


#Means
means<-aggregate(datos[,var],by=list(datos[,cat]),mean,na.rm=TRUE)
colnames(means)<-c(cat,var)


num<-length(unique(as.character(means[,cat])))

if(!is.null(COLOR)){
color1<-COLOR
}
else{
if(shade==TRUE) color1<-rainbow(num,alpha=0.4) else color1<-rainbow(num)
}

if(!is.null(LIMITS)){
limits<-LIMITS
}
else{
limits<-c(min(means[,-1],na.rm=TRUE),max(means[,-1],na.rm=TRUE))
}

if(type=="s" & is.na(PCH)){
PCH<-seq(15,15+num,by=1)
}


#Spider plot
for(zz in 1:num){
if(shade==TRUE) poly=color1[zz] else poly=NA
if(zz>1) add=TRUE else add=FALSE
if(!is.null(SPIDER)){
exe<-paste("plotrix::radial.plot(", "lengths=means[zz,-1],", "labels=var,", "add=add,", toString(x=SPIDER), ")")
eval(parse(text=exe))
}
else{
exe<-paste("plotrix::radial.plot(", "lengths=means[zz,-1],", "labels=var,", "rp.type=type,", "add=add,", "label.prop=POSL,",
"radial.lim=limits,", "grid.bg='transparent',", "boxed.radial=FALSE,", "line.col=color1[zz],",
"point.symbols=PCH,", "poly.col=poly,", "point.col=color1[zz],", "show.grid.labels=AXISP,","main=MAIN", ")")
eval(parse(text=exe))
}
}#End for

if(LEG==TRUE){
if(!is.null(LEGEND)){
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
legendexe<-paste("legend(","x='topleft',","legend=unique(datos[,cat]),", "bty='n',", "col=color1,",
"pch=PCH,", "lty=LTY", ")")
eval(parse(text=legendexe))
}
}



if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}




}


