F88<-function(data, var, lon, lat, tooltip, legend="bottomright", title=NULL,  color="white",
colscale=rev(heat.colors(100)), breaks=10, opacity=0.9, fillOpacity = 0.7,  radius=8, stroke=FALSE){

datos<-data

datosT<-data.frame(subset(datos, select=lon), subset(datos, select=lat), subset(datos, select=var), subset(datos, select=tooltip))


datos<-na.exclude(datosT)



require(leaflet)

###Center the map

maxlat<-max(datos[,lat], na.rm=TRUE)
minlat<-min(datos[,lat], na.rm=TRUE)
maxlon<-max(datos[,lon], na.rm=TRUE)
minlon<-min(datos[,lon], na.rm=TRUE)

max<-max(c(abs(maxlat-minlat),abs(maxlon-minlon)))

latc<-mean(c(maxlat,minlat))
lonc<-mean(c(maxlon,minlon))

if(max<5){
zoom=7
}

if(max>=5 & max<19){
zoom=6
}

if(max>=19 & max<29){
zoom=5
}

if(max>=29 & max<80){
zoom=4
}

if(max>=80 & max<250){
zoom=3
}

if(max>=250){
zoom=2
}


if(is.null(title)){
title<-var
}

 
#####Palette

variable<-datos[,var]

legend.max=max(variable)

legend.min=min(variable)

legend.freq=abs((legend.max-legend.min)/(breaks))


int<-seq(legend.min, legend.max, by=legend.freq)
mypalette <- colorBin( palette=colscale, domain=variable, na.color="transparent", bins=int)
 
####Tooltip

len<-length(tooltip)

texto<-paste(tooltip[1],":",datos[,tooltip[1]], sep="")%>%
lapply(htmltools::HTML)

if(len>1){
for(zz in 2:len){
texto<-paste(texto,"<br/>", tooltip[zz],":", datos[,tooltip[zz]], sep="")%>%
lapply(htmltools::HTML)
}

}


###Map
leaflet(datos) %>% 
addTiles()  %>% 
setView(lng=lonc, lat=latc, zoom=zoom)%>%
addProviderTiles("Esri.WorldImagery") %>%
addCircleMarkers(datos[,lon], datos[,lat], 
    fillColor = ~mypalette(variable), fillOpacity = fillOpacity, color=color, radius=radius, stroke=stroke,
    label = texto,
    labelOptions = labelOptions( style = list("font-weight" = "normal", padding = "3px 8px"), textsize = "13px", direction = "auto")) %>%
addLegend(pal=mypalette, values=variable, opacity=opacity, title = title, position = legend )

}