F89<-function(data, varY,  varX, group,  jitter=FALSE, mar=c(3,4.5,3,1), ResetPAR=TRUE,  PAR=NULL,  OrderCat=NULL, LabelCat=NULL,
COLOR=NULL, BOXWEX=0.4, XCEX=1, XLAS=1, XFONT=2, XTICK=TRUE, XCOLOR="grey", XLTY=1,BOXPLOT=NULL, LEGEND=NULL,  MTEXT= NULL, TEXT=NULL){


datosT<-data.frame(subset(data, select=varY), subset(data, select=varX), subset(data, select=group))

datos<-na.exclude(datosT)

if (missing(OrderCat)) OrderCat=NULL else OrderCat=OrderCat
if (missing(LabelCat)) LabelCat=OrderCat else LabelCat=LabelCat

if(ResetPAR==TRUE){
#Resetear par() a las opciones por defecto
resetPar <- function() {
    dev.new()
    op <- par(no.readonly = TRUE)
    dev.off()
    op
}
par(resetPar()) }
else{
}


if(!is.null(COLOR)){
color<-COLOR
color1<-as.list(COLOR)
}
else{
color<-terrain.colors(length(unique(datos[,group])))
color1<-as.list(color)
}

datos[,varX]<-factor(datos[,varX], levels = unique(datos[,varX]), labels = unique(datos[,varX]))

median<- tapply(datos[, varY], datos[, varX], median)


if(!is.null(OrderCat)){
datos[,varX]<-factor(datos[,varX], levels = OrderCat, labels = LabelCat)
}
else{
if(!is.null(LabelCat)) datos[,varX]<-factor(datos[,varX], levels = unique(datos[,varX]), labels = LabelCat) else datos<-datos
}


if(!is.null(PAR)){
parexe<-paste("par(new,",toString(x=PAR), ")")
eval(parse(text=parexe))
}
else{
par(font.lab=2, mar=mar,cex.lab=1.5)
}



if(!is.null(BOXPLOT)){
boxplotexe<-paste("boxplot(","datos[,varY]~datos[,group]*datos[,varX],", "xaxt='n', ", toString(x=BOXPLOT), ")")
plot<-eval(parse(text=boxplotexe))
}
else{
boxplotexe<-paste("boxplot(","datos[,varY]~datos[,group]*datos[,varX],", "xaxt='n',",
"xlab='',", "ylab=varY,","col=color,","boxwex=BOXWEX,", ")")
plot<-eval(parse(text=boxplotexe))
}


if(jitter==TRUE){

nc<-paste(datos[,group], datos[,varX], sep=".")
dat1<-cbind(datos,nc)

mylevels<-plot$names

levelProportions<-summary(dat1[,"nc"])/nrow(dat1)
for(i in 1:length(mylevels)){
 
  thislevel<-mylevels[i]
  thisvalues<-dat1[dat1[,"nc"]==thislevel, varY]
   
  myjitter<-jitter(rep(i, length(thisvalues)), amount=levelProportions[i]/2)
  points(myjitter, thisvalues, pch=20, col=rgb(0,0,0,.2)) 
   
}

}

texto<-unique(datos[,group])

if(!is.null(LEGEND)){
legendexe<-paste("legend(",toString(x=LEGEND), ")")
eval(parse(text=legendexe))
}
else{
legendexe<-paste("legend(","x='topleft',", "legend=texto,", "bty='n',", "pch=15,", "pt.cex=1.5,", "col=color,",  toString(x=LEGEND), ")")
eval(parse(text=legendexe))


}


####AXIS
if(is.null(OrderCat)){
mnames<-as.character(unique(datos[,varX]))
}
else{
mnames<-as.character(unique(OrderCat))
}
lenX<-length(mnames)
lenG<-length(as.character(unique(datos[,group])))

axis(1, at = seq((0.5+(lenG/2)) , lenX*lenG , lenG), labels = mnames , tick=XTICK , cex.axis=XCEX, las=XLAS, font=XFONT)

for(i in seq(0.5, lenX*lenG*2 , lenG)){ abline(v=i,lty=XLTY, col=XCOLOR)}
 

if(!is.null(MTEXT)){
mtextexe<-paste("mtext(",toString(x=MTEXT), ")")
eval(parse(text=mtextexe))
}
else{
}

if(!is.null(TEXT)){
textexe<-paste("text(",toString(x=TEXT), ")")
eval(parse(text=textexe))
}
else{
}


}
