\name{F10}
\alias{F10}
\encoding{latin1}
\title{2D PIE CHARTS}
\description{It performs 2D pie charts.}
\usage{
F10(data, var, labels, order=NULL, percut=NULL, per=FALSE, ResetPAR=TRUE,
PAR=NULL, PIE=NULL, COLOR=NULL, MTEXT= NULL, TEXT=NULL)
}
\arguments{
  \item{data}{Data file.}
  \item{var}{Variable with non-negative data.}
  \item{labels}{Variable with the categories for the slices or a vector with the names.}
  \item{order}{If it is NULL the categories are ordered as found in the variable \emph{var}, if it is "increasing" are ordered from lesser to greater, if it is "decreasing" are ordered from greater to lesser, if it is "alhaAZ" are ordered from A to Z and if it is "alphaZA" from Z to A.}
  \item{percut}{It is possible to select a percentage threshold and only the categories above the threshold are shown.}
  \item{per}{If it is TRUE the percentage of each category is also shown.}
  \item{ResetPAR}{If it is FALSE, the default condition of the function \link[StatR]{PAR} is not placed and maintained those defined by the user in previous graphics.}
  \item{PAR}{It accesses the function \link[StatR]{PAR} that allows to modify many different aspects of the graph.}
  \item{PIE}{It allows to specify the characteristics of the function \link[graphics]{pie}.}
  \item{COLOR}{Vector with the color of the categories.}
  \item{MTEXT}{It allows to add text on the margins of the graph.}
  \item{TEXT}{It allows to add text in any area of the inner part of the graph.}
}
\value{A 2D pie charts is obtained.}  
\details{

\strong{FUNCTIONS}

The plot is performed with the function \link[graphics]{pie} of base graphics package. For further details see the help of the function \link[graphics]{pie} and/or Guisande & Vammonde (2012).

\strong{EXAMPLES}

The data are the human population density by sex and age group in Spain for the years 1900 and 1991. Data were obtained from the Spanish Statistical Office \url{http://www.ine.es}.

\strong{Example 1.} The percentage of males in 1991 by age group is shown.
\tabular{c}{
\figure{F29}{options: width=2.9in}
}
\strong{Example 2.} As in the example 1 but showing the percentages of each category in the labels with the argument \emph{per=TRUE}.
\tabular{c}{
\figure{F30}{options: width=3.1in}
}
}
\references{
Guisande, C. & Vaamonde, A. (2012) \emph{Grficos estadsticos y mapas con R}. Ediciones Daz de Santos, Madrid, 367 pp.
}
\examples{
\dontrun{

data(Z7)

#Example 1

F10(data=Z7, var="M.1991", labels="Age",
MTEXT = c("text = 'Percentage of males in 1991\n by age group in Spain'",
"font = 2", "cex=1.5"))

#Example 2

F10(data=Z7, var="M.1991", labels="Age",
MTEXT = c("text = 'Percentage of males in 1991\n by age group in Spain'",
"font = 2", "cex=1.5"), per=TRUE)
}
}
\keyword{F10}
