\name{F12}
\alias{F12}
\encoding{latin1}
\title{3D PIE CHARTS}
\description{It performs 3D pie charts.}
\usage{
F12(data, var, labels, percut=NULL, per=FALSE, explode=0.05, ResetPAR=TRUE,
PAR=NULL, PIE3D=NULL, COLOR=NULL, MTEXT= NULL, TEXT=NULL)
}
\arguments{
  \item{data}{Data file.}
  \item{var}{Variable with non-negative data.}
  \item{labels}{Variable with the categories for the slices or a vector with the names for the slices.}
  \item{percut}{It is possible to select a percentage threshold and only the categories above the threshold are shown.}
  \item{per}{If it is TRUE the percentage of each category is also shown.}
  \item{explode}{Gap among slices.}
  \item{ResetPAR}{If it is FALSE, the default condition of the function \link[StatR]{PAR} is not placed and maintained those defined by the user in previous graphics.}
  \item{PAR}{It accesses the function \link[StatR]{PAR} that allows to modify many different aspects of the graph.}
  \item{PIE3D}{It allows to specify the characteristics of the function \link[plotrix]{pie3D}.}
  \item{COLOR}{Vector with the color of the categories.}
  \item{MTEXT}{It allows to add text on the margins of the graph.}
  \item{TEXT}{It allows to add text in any area of the inner part of the graph.}
}
\value{A 3D pie chart is obtained.}  
\details{

\strong{FUNCTIONS}

The plot is performed with the function \link[plotrix]{pie3D} of the package plotrix (Lemon et al., 2015). For further details see the help of the function \link[plotrix]{pie3D} and/or Guisande & Vammonde (2012).

\strong{EXAMPLES}

The data are the human population density by sex and age group in Spain for the years 1900 and 1991. Data were obtained from the Spanish Statistical Office \url{http://www.ine.es}.

\strong{Example 1.} The percentage of females by age group in 1900 is shown.
\tabular{c}{
\figure{F33}{options: width=4in}
}
\strong{Example 2.} As in the example 1 but without gap among slices with the argument \emph{explode=0} and showing the percentages of each category in the labels with the argument \emph{per=TRUE}.
\tabular{c}{
\figure{F34}{options: width=4in}
}
}
\references{
Guisande, C. & Vaamonde, A. (2012) \emph{Grficos estadsticos y mapas con R}. Ediciones Daz de Santos, Madrid, 367 pp.

Lemon, J., Bolker, B., Oom, S., Klein, E., Rowlingson, B., Wickham, H., Tyagi, A., Eterradossi, O., Grothendieck, G., Toews, M., Kane, J., Turner, R., Witthoft, C., Stander, J., Petzoldt, T., Duursma, R., Biancotto, E., Levy, O., Dutang, C., Solymos, P., Engelmann, R., Hecker, M., Steinbeck, F., Borchers, H., Singmann, H., Toal, T. & Ogle, D. (2015) Various plotting functions. R package version 3.5-11. Available at: \url{https://CRAN.R-project.org/package=plotrix}.
}
\examples{
\dontrun{

data(Z7)

#Example 1

F12(data=Z7, var="F.1900", labels="Age",
MTEXT=c("text = 'Percentage of females in 1900\n by age group in Spain'",
"font = 2", "cex=1.5", "line=-5"))

#Example 2

F12(data=Z7, var="F.1900", labels="Age", explode=0,
MTEXT=c("text = 'Percentage of females in 1900\n by age group in Spain'",
"font = 2", "cex=1.5", "line=-5"), per=TRUE)
}
}
\keyword{F12}
