\name{F28}
\alias{F28}
\encoding{latin1}
\title{GOOGLE MOTION CHART}
\description{A motion chart is a dynamic chart to explore several indicators over time.}
\usage{
F28(data, idvar, timevar, xvar, yvar, colorvar="", sizevar="", MOTION=NULL)
}
\arguments{
  \item{data}{Data file.}
  \item{idvar}{Variable with the subject to be analysed.}
  \item{timevar}{Variable which shows the time dimension. The information has to be either numeric, of class Date or a character which follows the pattern "YYYYWww" (e.g. "2010W04" for weekly data) or "YYYYQq" (e.g. "2010Q1" for quarterly data).}
  \item{xvar}{Variable of X-axis.}
  \item{yvar}{Variable of Y-axis.}
  \item{colorvar}{The color is assigned according to this variable.}
  \item{sizevar}{The size of bubbles is assigned according to this variable.}
  \item{MOTION}{It accesses the function \link[googleVis]{gvisMotionChart} that allows to modify many different aspects of the motion chart.}
}
\value{See the value section of the function \link[googleVis]{gvisMotionChart}.}  
\details{
The plot obtained is shown as a web page, so internet connection is required. For further information see \emph{details} section of the function \link[googleVis]{gvisMotionChart}.

\strong{FUNCTIONS}

The plot is performed with the function \link[googleVis]{gvisMotionChart} of the package googleVis (Gesmann & de Castillo, 2011; 2015). For further details see the help of the function \link[googleVis]{gvisMotionChart} and/or Guisande & Vammonde (2012).

\strong{EXAMPLES}

Annual demographic parameters from several continents: region, year, percentage of people with an age range from 0 to 14, percentage of people with an age range from 15 to 64, percentage of people older than 65, unemployment older than 65, unemployment younger than 15, growth rate, population size and percentage of women.

The data were obtained from The World Bank (\url{http://www.worldbank.org/}).
\tabular{c}{
\figure{F15}{options: width=4.4in}
}
\tabular{c}{
\figure{F16}{options: width=4.4in}
}
\tabular{c}{
\figure{F17}{options: width=4.4in}
}
In the example, the variables are \emph{idvar = "Region"}, \emph{timevar = "Year"}, \emph{xvar = "Population"} and \emph{yvar = "Older65"}.

The bubble plot, barplot and line plot showed in the above figures may be obtained just clicking on the tabs available on the top right corner of the menu (see blue arrow).

In the case of bubble and bar plots, the animation begins playing when you press the Play button.
}
\references{
Gesmann, M. & de Castillo, D. (2011) googleVis: Interface between R and the Google Visualisation API. \emph{The R Journal}, 3(2): 40-44. \url{https://journal.r-project.org/archive/2011-2/RJournal_2011-2_Gesmann+de~Castillo.pdf}

Gesmann, M. & de Castillo, D. (2015) R Interface to Google Charts. R package version 0.5.8. Available at: \url{https://CRAN.R-project.org/package=googleVis}.

Guisande, C. & Vaamonde, A. (2012) \emph{Grficos estadsticos y mapas con R}. Ediciones Daz de Santos, Madrid, 367 pp.
}
\examples{
\dontrun{
data(Z3)

F28(data=Z3, idvar="Region", timevar="Year", xvar="Population", yvar="Older65")
}
}
\keyword{F28}
