\name{F33}
\alias{F33}
\encoding{latin1}
\title{SIMPLE LINE CHARTS WITH ERROR BARS, TEXT LABELS AND REGRESSION FOR VARIABLE X QUANTITATIVE}
\description{It performs a simple mean with error bars line chart for variable X quantitative with text labels and a  regression model.}
\usage{
F33(data, varY,  varX, Factor, method="mean", type="b", dev="sd", barY=TRUE,
barX=FALSE, textlabel=FALSE, label=NULL, reg=FALSE, model="Linear",
outliers=FALSE, quant1=0.05, quant2 = 0.95, ResetPAR=TRUE, PAR=NULL, XLAB=NULL,
YLAB=NULL, XLIM=NULL, YLIM=NULL,  COLOR="black", COLORI="black", COLORR="red",
PCH=16, lty=3, ltyL=1, lwd=2.5, lwdL=1, R2.pos="topleft", PLOT=NULL,
LEGEND=NULL, AXIS=NULL, MTEXT= NULL, TEXT=NULL, file1="Output.txt",
file2="Average and error bars.csv", na="NA", dec=",", row.names=FALSE)
}
\arguments{
  \item{data}{Data file.}
  \item{varY}{Dependent variable.}
  \item{varX}{Quantitative independent variable.}
  \item{Factor}{Variable for the estimation of the average and error bars for each category of the variable. It is not possible to include variables with any of the categories with a single data, so if necessary several data for each category.}
  \item{method}{The average of each category of the grouped variable \emph{Factor} is estimated with the "mean" or the "median".}
  \item{type}{Character string giving the type of plot desired. The following values are possible: "p" for points, "l" for lines, "b" for both points and lines, "c" for empty points joined by lines, "o" for overplotted points and lines, "s" and "S" for stair steps and "h" for histogram-like vertical lines. Finally, "n" does not produce any points or lines.}
  \item{dev}{The error bars may be estimated using the standard deviation ("sd") or the standard error ("se").}
  \item{barY}{If it is TRUE the bar error of the variable Y is depicted.}
  \item{barX}{If it is TRUE the bar error of the variable X is depicted.}
  \item{textlabel}{If TRUE the text labels of the categories of the variable \emph{Factor} are added to the plot.}
  \item{label}{It allows to specify the characteristics of the text labels with the function \link[graphics]{text}.}
  \item{reg}{If it is TRUE a regression model is performed.}
  \item{model}{One regression model can be selected: "Linear" , "Log", "S-curve", "Power", "Exp", "Quadratic", "Cubic", "Inverse".  It is not considered the model in those cases in which there is the logarithm that apply to any of the variables, if any value of the variable, which applies the logarithm, is zero or negative. The inverse model is not calculated if any value of the independent variable is zero.}
\item{outliers}{If it is TRUE, the outliers are removed using the selected regression model.}
  \item{quant1}{Quantile of the lower end to the elimination of outliers.}
  \item{quant2}{Quantile of the upper end to the elimination of outliers.}
  \item{ResetPAR}{If it is FALSE, the default condition of the function \link[StatR]{PAR} is not placed and maintained those defined by the user in previous graphics.}
  \item{PAR}{It accesses the function \link[StatR]{PAR} that allows to modify many different aspects of the graph.}
  \item{XLAB}{Legend of the X axis.}
  \item{YLAB}{Legend of the Y axis.}
  \item{XLIM}{Vector with the limits of the X axis.}
  \item{YLIM}{Vector with the limits of the Y axis.}
  \item{COLOR}{Color of the symbols.}
  \item{COLORI}{Color of the error bars.}
  \item{COLORR}{Color of the line of the regression model.}
  \item{PCH}{Graphic symbol (see the description of the same argument in the function \link{F1}).}
  \item{lty}{Type of the regression line (see the description of the same argument in the function \link{F1}).}
  \item{ltyL}{Type of the line chart (see figure of the argument \emph{lty} in the function \link{F1}).}
  \item{lwd}{Line width of the regression line relative to the default (default=1), so 2 is twice as wide.}
  \item{lwdL}{Line width of the chart relative to the default (default=1), so 2 is twice as wide.}
  \item{R2.pos}{If it is not NULL, with this argument is possible to specify the position of the \eqn{r^2} of the regression in the scatter plot.}
  \item{PLOT}{It allows to specify the characteristics of the function \link[graphics]{plot.default}.}
  \item{LEGEND}{It allows to include a legend to the graph.}
  \item{AXIS}{It allows to add axes to the graph.}
  \item{MTEXT}{It allows to add text on the margins of the graph.}
  \item{TEXT}{It allows to add text in any area of the inner part of the graph.}
  \item{file1}{TXT FILE. If the argument \emph{reg=TRUE} a TXT file is saved with the information of the regression.}
  \item{file2}{CSV FILE. File name with the mean, median, standard error and standard deviation for each category of the variable \emph{Factor}.}
  \item{na}{CSV FILES. Text that is used in the cells without data.}
  \item{dec}{CSV FILES. It defines if the comma "," is used as decimal separator or the dot ".".}
  \item{row.names}{CSV FILES. Logical value that defines if identifiers are put in rows or a vector with a text for each of the rows.}
}
\value{A simple line chart with mean error bars, with or without linear regression and with or without text labels is obtained. A CVS file with the mean, median, standard error and standard deviation for each category of the variable \emph{Factor} is also obtained.}  
\details{

See the equations of all regression models in the section \emph{details} of the function \link[StatR]{XI1} of the package StatR.

\strong{FUNCTIONS}

The plot is performed with the function \link[graphics]{plot.default} of base graphics package

The linear regression with the function \link[stats]{lm} of base stats package.

The function \link[nortest]{lillie.test} of the package nortest (Gross, 2013) is used to perform the test of Normality Kolmogorov-Smirnov with Lilliefors'correction

The function \link[lmtest]{dwtest} of the package lmtest (Hothorn et al., 2013) to analyze the autocorrelation with the test

The Durbin-Watson statistic function \link[lmtest]{bptest} of the package lmtest (Hothorn et al., 2013) to perform the Breusch-Pagan test of homoscedasticity.

\strong{EXAMPLES}

For the examples, weight and height of chidren aged 2-5 years are used.

\strong{Example 1} Relationship between the mean values of weight and height for each age.
\tabular{c}{
\figure{F68}{options: width=3.5in}
}
\strong{Example 2} As in the example 1 but adding the text labels of the age with the argument \emph{textlabel=TRUE}.
\tabular{c}{
\figure{F69}{options: width=3.5in}
}
\strong{Example 3} As in the example 1 but a linear regression line is added with the argument \emph{reg=TRUE} and also is shown the standard deviation on the variable height with the argument \emph{barX=TRUE}.
\tabular{c}{
\figure{F70}{options: width=3.5in}
}
In the TXT file that generates the function, the linear regression linear is shown, where the variable height is significant (p < 0.001, see \emph{Pr(>|t|)}) and, therefore, the model as a whole was also significant (p < 0.001, see \emph{p-value} at the end of the results).

The \eqn{r^2} (see \emph{Multiple R-squared}) shows that hight explains a 99.6\% of the observed variance in the weight. The \eqn{r^2} adjusted (see \emph{Ajusted R-squared}) takes into account the size of the sample to determine the proportion above and, in this case, it shows a lower value 99.4\%. The \eqn{r^2} adjusted should be used to compare models with different numbers of observations or independent variables. The equation of the potential regression model must be expressed in this way:
\eqn{Weight=-10.97+0.2698*Height}
\tabular{c}{
\figure{R7}{options: width=3.9in}
}
In the following table, the results of the test of Kolmogorov-Smirnov normality with Lilliefors' correction, the test for autocorrelation of Durbin-Watson statistic and the Breusch-Pagan test of homoscedasticity are shown.

\strong{Normality} the test of Kolmogorov-Smirnov normality with Lilliefors' correction is not shown because the number of values is lower than 5.

\strong{Autocorrelation} The requirement that there should be no autocorrelation is met because in the test of Durbin-Watson statistic p = 0.7697. This means that the value of \eqn{r^ 2} of the 99.6\% is all due to the dependent variable, the height, so it is not in part due to the own dependent variable that is auto explained. If there is autocorrelation, it is not possible to know exactly how much is the variance explained by the independent variable. Anyway it is necessary to mention that the probability value of the test of Durbin-Watson statistic can be less than 0.05 easily when there are many data. The statistical DW, whose value is 3.2 in this example, is a better indicator of the autocorrelation when the number of data is very large. According to Durbin & Watson (1951), a DW less than 1 means a strong positive autocorrelation, a DW greater than 4 a strong negative autocorrelation, values between 1 and 3 a moderate autocorrelation, and a value close to 2 means that there is no autocorrelation.

\strong{Homoscedasticity} Finally, the requirement of homoscedasticity of the residuals is also satisfied, because the likelihood of the Breusch-Pagan test is p = 0.553. If this requirement is not fulfilled, it means that the model is not as predictive for the entire range of values of the dependent variable.
\tabular{c}{
\figure{R8}{options: width=5.5in}
}
}
\references{
Durbin, J. & Watson G.S. (1951) Testing for serial correlation in least squares regression. \emph{Biometrika}, \strong{38}, 159-171.

Gross, J. (2013) Tests for Normality. R package version 1.0-2. Available at: \url{https://CRAN.R-project.org/package=nortest}.

Hothorn, T. et al., (2013) Testing Linear Regression Models. R package version 0.9-33. Available at: \url{https://CRAN.R-project.org/package=lmtest}.
}
\examples{
\dontrun{

#Example 1

data(Z14)

F33(data=Z14, varY="Weight", varX="Height", Factor="Age", XLAB="Height (cm)",
YLAB="Weight (kg)")

#Example 2

data(Z14)

F33(data=Z14, varY="Weight", varX="Height", Factor="Age", textlabel=TRUE,
XLAB="Height (cm)", YLAB="Weight (kg)")

#Example 3

data(Z14)

F33(data=Z14, varY="Weight", varX="Height", Factor="Age", barX=TRUE,
reg=TRUE, XLAB="Height (cm)", YLAB="Weight (kg)")
}
}
\keyword{F33}
