\name{F35}
\alias{F35}
\encoding{latin1}
\title{SIMPLE MEAN WITH ERROR BARS LINE CHART FOR VARIABLE X QUALITATIVE WITH TEXT LABELS}
\description{It performs a simple mean with error bars line chart for variable X qualitative with text labels.}
\usage{
F35(data, varY,  FactorX, label=NULL, method="mean", dev="sd", type="b",
ResetPAR=TRUE, PAR=NULL, order=NULL, OrderCat=NULL, LabelCat=NULL,
XLAB=NULL, YLAB=NULL, XLIM=NULL, YLIM=NULL, COLOR="black", COLORI="black",
PCH=16, ltyL=1, lwdL=1, CEX=1, LEGEND=NULL, AXIS=NULL, MTEXT= NULL, TEXT=NULL)
}
\arguments{
  \item{data}{Data file.}
  \item{varY}{Dependent variable.}
  \item{FactorX}{Qualitative independent variable.}
  \item{label}{It allows to specify the characteristics of the text labels with the function \link[graphics]{text}.}
  \item{method}{The average of each category of the independent variable \emph{FactorX} is estimated with the "mean" or the "median".}
  \item{dev}{The error bars may be estimated using the standard deviation ("sd") or the standard error ("se").}
  \item{type}{Character string giving the type of plot desired. The following values are possible: "p" for points, "l" for lines, "b" for both points and lines, "c" for empty points joined by lines, "o" for overplotted points and lines, "s" and "S" for stair steps and "h" for histogram-like vertical lines. Finally, "n" does not produce any points or lines.}
  \item{ResetPAR}{If it is FALSE, the default condition of the function \link[StatR]{PAR} is not placed and maintained those defined by the user in previous graphics.}
  \item{PAR}{It accesses the function \link[StatR]{PAR} that allows to modify many different aspects of the graph.}
  \item{order}{If it is NULL the categories are ordered as found in the variable \emph{FactorX}, if it is "increasing" are ordered from lesser to greater median or mean according to the method selected in the argument \emph{method}, if it is "decreasing" are ordered from greater to lesser median or mean, if it is "alhaAZ" are ordered from A to Z and if it is "alphaZA" from Z to A.} 
  \item{OrderCat}{It allows to specify a vector with the order in which the categories are shown. If this argument is specified, the argument \emph{order} is not taken into account.}
  \item{LabelCat}{It allows to specify a vector with the names of the categories.}
  \item{XLAB}{Legend of the X axis.}
  \item{YLAB}{Legend of the Y axis.}
  \item{XLIM}{Vector with the limits of the X axis.}
  \item{YLIM}{Vector with the limits of the Y axis.}
  \item{COLOR}{Color of the symbols.}
  \item{COLORI}{Color of the error bars.}
  \item{PCH}{Graphic symbol (see the description of the same argument in the function \link{F1}).}
  \item{ltyL}{Type of the line chart (see figure of the argument \emph{lty} in the function \link{F1}).}
  \item{lwdL}{Line width of the chart relative to the default (default=1), so 2 is twice as wide.}
  \item{CEX}{Size of the symbols.}
  \item{LEGEND}{It allows to include a legend to the graph.}
  \item{AXIS}{It allows to add axes to the graph.}
  \item{MTEXT}{It allows to add text on the margins of the graph.}
  \item{TEXT}{It allows to add text in any area of the inner part of the graph.}
}
\value{A mean with error bars line chart with text labels is obtained.}  
\details{
\strong{FUNCTIONS}

The plot is performed with the functions \link[graphics]{boxplot}, \link[graphics]{points} and \link[graphics]{arrows}, and the text labels with the funcion \link[graphics]{text}, all of them of base graphics package.

\strong{EXAMPLES}

In an experiment conducted with expert tasters and people who had no experience tasting, they were taught to identify 15 types of wines from different regions. Variations in ability to ascertain the wine provenance over time (after one hour, one day, one week and one month) was measured between experts and non-experts. For every time, each person assessed a large number of samples and the degree of success was recorded on a scale of 0 to 12.

The mean and the standard deviation of the variable \emph{Success} is obtained for each time, showing each time with text labels.
\tabular{c}{
\figure{F73}{options: width=3.8in}
}
}
\examples{
\dontrun{

data(Z15)

F35(data=Z15, varY="Success", Factor="Time")
}
}
\keyword{F35}
