\name{F58}
\alias{F58}
\encoding{latin1}
\title{PALEOCLIMATIC DIAGRAM}
\description{A paleoclimatic diagraman is performed.}
\usage{
F58(data, varY, varX, zones=NULL, zoneNames=NULL, STRATIPLOT=NULL, XLAB=NULL,
YLAB=NULL, YLIM=NULL, type=c("poly","g"), pch=16, cex=1, col.line="black",
col.symbol="black", col.refline="black", col.smooth="blue", col.poly="red",
col.zones="transparent", lty=1, lwd.h=1, lty.smooth=1, lwd.smooth=2,
lty.zones=1, lwd.zones=1)
}
\arguments{
  \item{data}{Data file.}
  \item{varY}{Variable Y.}
  \item{varX}{Variables X.}
  \item{zones}{A vector with the limits of the stratum.}
  \item{zoneNames}{Character vector with the name of the stratum of the argument \emph{zones}.}
  \item{STRATIPLOT}{It accesses the function \link[analogue]{Stratiplot} that allows to modify many different aspects of the diagram.}
  \item{XLAB}{Legend of the X axis.}
  \item{YLAB}{Legend of the Y axis.}
  \item{YLIM}{Limits of Y axis.}
  \item{type}{Type of plot. Character vector consisting of one or more of the following: "l", "p", "o", "b", "h", "g", "smooth" and "poly".}
  \item{pch}{Graphic symbol (see the description of the same argument in the function \link{F1}).}
  \item{cex}{Size of symbols.}
  \item{col.line}{Color of line.}
  \item{col.symbol}{Color of symbol.}
  \item{col.refline}{Color of inner lines.}
  \item{col.smooth}{Color of smooth line.}
  \item{col.poly}{Color of the polygons.}
  \item{col.zones}{Color of inner lines delimiting the zones.}
  \item{lty}{Type of line (see the description of the same argument in the function \link{F1}).}
  \item{lwd.h}{Line width.}
  \item{lty.smooth}{Type of smooth line.}
  \item{lwd.smooth}{Width of smooth line.}
  \item{lty.zones}{Type of inner lines delimiting the zones.}
  \item{lwd.zones}{Width of inner lines delimiting the zones.}
}
\value{It is depicted a paleoclimatic diagram.}  
\details{

\strong{FUNCTIONS}

The plot is performed with the function \link[analogue]{Stratiplot} of the package analogue (Sinmpson, 2007; Simpson & Oksanen, 2015) 

\strong{EXAMPLES}

The concentration of metals in the sediment of one of the Yahuarkaka lakes (Leticia, Colombia) is used as example.

Example 1. Without stratum. 
\tabular{c}{
\figure{F129}{options: width=5.3in}
}
Example 2. With stratum. 
\tabular{c}{
\figure{F130}{options: width=5.3in}
}
}
\references{
Simpson G.L. (2007) Analogue Methods in Palaeoecology: Using the analogue Package. \emph{Journal of Statistical Software}, 22(2): 1-29.

Simpson, G.L. & Oksanen, J. (2015) Analogue and weighted averaging methods for palaeoecology. R package version 0.16-3. Available at: \url{https://cran.R-project.org/package=analogue}.
}
\examples{
\dontrun{

#Example 1. Without stratum

data(Z21)

F58(data=Z21, varY="Depth", varX=c("Cr","Co","Ni","Pb","Al"))

#Example 2. With stratum

data(Z21)

F58(data=Z21, varY="Depth", varX=c("Cr","Co","Ni","Pb","Al"),
zones=c(50,10,200,300), zoneNames=c("A","B","C","D"))
}
}
\keyword{F58}
