\name{F59}
\alias{F59}
\encoding{latin1}
\title{PLOTS INSIDE ANOTHER PLOT}
\description{It allows to embed up to 10 plots inside another plot.}
\usage{
F59(SPLOT, OMA1, SP1, OMA2=NULL, SP2=NULL, OMA3=NULL, SP3=NULL,
OMA4=NULL, SP4=NULL, OMA5=NULL, SP5=NULL, OMA6=NULL, SP6=NULL, OMA7=NULL,
SP7=NULL, OMA8=NULL, SP8=NULL, OMA9=NULL, SP9=NULL, OMA10=NULL, SP10=NULL)
}
\arguments{
  \item{SPLOT}{Name of the script of the main plot. The script must be in the working directory.}
  \item{OMA1}{Position of plot 1 inside the main plot. A vector c(bottom, left, top, right) with the number of lines inside the main plot.}
  \item{SP1}{Name of the script of the plot 1 inside the main plot. The script must be in the working directory. If it exists in the script the argument \emph{ResetPAR}, it must be FALSE.}
  \item{OMA2}{As the argument \emph{OMA1} but for the plot 2.}
  \item{SP2}{As the argument \emph{SP1} but for the plot 2.}
  \item{OMA3}{As the argument \emph{OMA1} but for the plot 3.}
  \item{SP3}{As the argument \emph{SP1} but for the plot 3.}
  \item{OMA4}{As the argument \emph{OMA1} but for the plot 4.}
  \item{SP4}{As the argument \emph{SP1} but for the plot 4.}
  \item{OMA5}{As the argument \emph{OMA1} but for the plot 5.}
  \item{SP5}{As the argument \emph{SP1} but for the plot 5.}
  \item{OMA6}{As the argument \emph{OMA1} but for the plot 6.}
  \item{SP6}{As the argument \emph{SP1} but for the plot 6.}
  \item{OMA7}{As the argument \emph{OMA1} but for the plot 7.}
  \item{SP7}{As the argument \emph{SP1} but for the plot 7.}
  \item{OMA8}{As the argument \emph{OMA1} but for the plot 8.}
  \item{SP8}{As the argument \emph{SP1} but for the plot 8.}
  \item{OMA9}{As the argument \emph{OMA1} but for the plot 9.}
  \item{SP9}{As the argument \emph{SP1} but for the plot 9.}
  \item{OMA10}{As the argument \emph{OMA1} but for the plot 10.}
  \item{SP10}{As the argument \emph{SP1} but for the plot 10.}
}
\value{It is possible to embed several plots inside another plot.}  
\details{
\strong{EXAMPLES}

The plot shows the relationship between the distance from the origin of the dorsal fin to the origin of the anal fin (M13) and body height (M11) of several species of Characiforms (Guisande et al., 2010), and the plots inside are the frequency histograms for each measurement.
\tabular{c}{
\figure{F131}{options: width=5.5in}
}
It is just necessary a script for each of the plots to be combined, so one for the main plot and one for each of the plots embedded into the main plot. To obtain the above chart, follows the following steps:

\strong{1.} Save the following script, which performs the main plot, with the name SPLOT.R in the working directory.

data(Z1)

F1(data=Z1, varY="M13", varX="M11", reg=TRUE, R2.pos="right")

\strong{2.} Save the following script, which performs the first plot inside the main plot, with the name S1.R in the working directory.

F19(data=Z1, var="M11", line=TRUE , COLOR="#000000FF", HIST=c("xlab=xlab",
"main=''", "ylab=ylab", "xlim=XLIM", "ylim=YLIM", "border=COLOR[h]",
"col='#7FFFD4FF'"), ResetPAR=FALSE, PAR=c("cex.lab=0.9", "font.lab=2",
"mar=c(5,5,3,2)"), LEGEND=c("x='right'","legend=dati", "col=COLOR",
"lty=lty", "bty='n'"))

\strong{3.} Save the following script, which performs the second plot inside the main plot, with the name S2.R in the working directory.

F19(data=Z1, var="M13", line=TRUE , COLOR="#000000FF", HIST=c("xlab=xlab",
"main=''", "ylab=ylab", "xlim=XLIM", "ylim=YLIM", "border=COLOR[h]",
"col='#7FFFD4FF'"), ResetPAR=FALSE, PAR=c("cex.lab=0.9", "font.lab=2",
"mar=c(5,5,3,2)"), LEGEND=c("x='right'","legend=dati", "col=COLOR",
"lty=lty", "bty='n'"))

\strong{4.} Finally, you must run the script of the example and the following plot is obtained.
}
\references{
Guisande, C., Manjarrs-Hernndez, A., Pelayo-Villamil, P., Granado-Lorencio, C., Riveiro, I., Acua, A., Prieto-Piraquive, E., Janeiro, E., Matas, J.M., Patti, C., Patti, B., Mazzola, S., Jimnez, S., Duque, V. & Salmern, F. (2010) IPez: An expert system for the taxonomic identification of fishes based on machine learning techniques. \emph{Fisheries Research}, 102, 240-247.
}
\examples{
\dontrun{

F59(SPLOT="SP.R", OMA1=c(2.5,17,14,1), SP1="S1.R", OMA2=c(17,4,1,14), SP2="S2.R")
}
}
\keyword{F59}
