\name{F67}
\alias{F67}
\encoding{latin1}
\title{TIME AVERAGE PLOTS}
\description{It performs a hourly, daily and monthly plots from time series data.}
\usage{
F67(data, date, var, year, month, date.format="\%d/\%m/\%Y \%H:\%M",
tzone=NULL,normalise=FALSE, type = "default", difference=FALSE, name.pol=var,
SUB=NULL, XLAB=c("hour", "hour", "month", "weekday"), YLAB=NULL,
COLOR="hue", STATISTIC="mean", CI=TRUE, TIMEV=NULL, dec=",")}
\arguments{
  \item{data}{Data file.}
  \item{date}{Variable with the date.}
  \item{var}{Variable(s) to be depicted.}
  \item{year}{It is possible to select one or several years in a vector.}
  \item{month}{It is possible to select one or several months in a vector.}
  \item{date.format}{The format of date: "\%d/\%m/\%Y \%H:\%M", "\%d/\%m/\%Y", "\%Y/\%m/\%d \%H:\%M", "\%Y/\%m/\%d", "\%d-\%m-\%Y \%H:\%M", "\%d-\%m-\%Y", "\%Y-\%m-\%d \%H:\%M" or "\%Y-\%m-\%d"}
  \item{tzone}{The time zone for the data. For further details see function \link[openair]{timeVariation} of the package openair (Carslaw, 2016).}
  \item{normalise}{If it is TRUE the variables are normalised.}
  \item{type}{It determines how the data are split: "default", "season", "year", "weekday" and so on.}
  \item{difference}{If two variables are chosen then setting \emph{difference=TRUE} will also plot the difference in means between the two variables. For further details see function \link[openair]{timeVariation} of the package openair (Carslaw, 2016).}
  \item{name.pol}{Names to be given to the variable(s).}
  \item{SUB}{Legend of the subtitle.}
  \item{XLAB}{Legend of X axes, one for each sub-plot.}
  \item{YLAB}{Legend of Y axes.}
  \item{COLOR}{Colours to be used for plotting. Options include "hue", "default", "increment", "heat", "jet" and user defined.}
  \item{STATISTIC}{The statistic to apply when aggregating the data: "mean" or "median".}
  \item{CI}{If it is TRUE the confidence intervals are shown.}
  \item{TIMEV}{It accesses the function \link[openair]{timeVariation} that allows to modify many different aspects of the plot.}
  \item{dec}{It defines if the comma "," is used as decimal separator or the dot ".".}
}
\value{Hourly, daily and monthly plots are depicted.}  
\details{
\strong{FUNCTIONS}

The calendar plot is performed with the function \link[openair]{timeVariation} of the package openair (Carslaw & Ropkins, 2012; 2016).

\strong{EXAMPLES}

For the examples, hourly data of air pollutants, wind speed and wind direction in Santiago de Compostela (Spain) from 1/11/2015 to 31/12/2015 are used. The data were obtained from \url{http://www.meteogalicia.es/web/index.action}.

\strong{Example 1}. Hourly, daily and monthly means of wind speed.
\tabular{c}{
\figure{F153}{options: width=5in}
}
\strong{Example 2}. Hourly, daily and monthly means of nitrogen dioxide and nitrogen oxides.
\tabular{c}{
\figure{F154}{options: width=5in}
}
}
\references{
Carslaw, D. & Ropkins, K. (2012) openair - An R package for air quality data analysis. \emph{Environmental Modelling & Software}, 27-28: 52-61. doi \url{10.1016/j.envsoft.2011.09.008}.
Carslaw, D. & Ropkins, K. (2016) Tools for the Analysis of Air Pollution Data. R package version 1.6.7. Available at: \url{https://CRAN.R-project.org/package=openair}.
}
\examples{
\dontrun{

#Example 1

data(Z22)

F67(data=Z22, date="date", var="Ws", YLAB="Wind speed (m/s)")

#Example 2

F67(data=Z22, date="date", var=c("NOX","NO2"))
}
}
\keyword{F67}
