\name{F72}
\alias{F72}
\encoding{latin1}
\title{2D CONTOUR PLOT}
\description{A 2D contour plot is depicted.}
\usage{
F72(data, X, Y, Z, CONTOUR=NULL, XLAB=NULL, YLAB=NULL, ZLAB=NULL, COL="blue",
ResetPAR=TRUE, PAR=NULL, MTEXT=NULL, TEXT=NULL)
}
\arguments{
  \item{data}{Data file.}
  \item{X}{Variable X.}
  \item{Y}{Variable Y.}
  \item{Z}{Variable Z.}
  \item{CONTOUR}{It accesses the function \link[graphics]{contour} that allows to modify many different aspects of the 2d plot.}
  \item{XLAB}{Legend of the X axis.}
  \item{YLAB}{Legend of the Y axis.}
  \item{ZLAB}{Legend of the Z axis.}
  \item{COL}{Color of the lines.}
  \item{ResetPAR}{If it is FALSE, the default condition of the function \link[StatR]{PAR} is not placed and maintained those defined by the user in previous graphics.}
  \item{PAR}{It accesses the function \link[StatR]{PAR} that allows to modify many different aspects of the graph.}
  \item{MTEXT}{It allows to add text on the margins of the graph.}
  \item{TEXT}{It allows to add text in any area of the inner part of the graph.}
}
\value{A 2D contour plot is depicted.}  
\details{
\strong{FUNCTIONS}

The plot is performed with the functions \link[graphics]{contour} of the base package graphics. The matrix is obtained using the function \link[akima]{interp} of the package
akima (Akima et al., 2015). For further details see Guisande & Vammonde (2012).

\strong{EXAMPLES}

\strong{Example 1.}

Depth in a coastal area close to Japan, with the depth (variable Z) in a column format.
\tabular{c}{
\figure{F163}{options: width=5.4in}
}
\strong{Example 2.}

Altitude in the Himalayan region, with the altitude (variable Z) in a matrix format.
\tabular{c}{
\figure{F164}{options: width=5.4in}
}

}
\references{
Akima, H., Gebhardt, A., Petzoldt, T & Maechler, M. (2016) Interpolation of irregularly spaced data. R package version 0.6-2. Available at: \url{https://CRAN.R-project.org/package=akima}.

Guisande, C. & Vaamonde, A. (2012) Grficos estadsticos y mapas con R. Ediciones Daz de Santos, Madrid, 367 pp.
}
\examples{
\dontrun{

#Example 1. With data format not as matrix

data(Z11)
F72(data=Z11,  X="Longitude", Y="Latitude", Z="Depth")

#Example 2. With data format as matrix

data(Z10)
m<-as.matrix(Z10[,c(-1,-2)])
F72(data=m)

}
}
\keyword{F72}
