\name{F73}
\alias{F73}
\encoding{latin1}
\title{2D LEVEL PLOT}
\description{A 2D level plot is depicted.}
\usage{
F73(data, X, Y, Z, IMAGE=NULL, XLAB=NULL, YLAB=NULL, ZLAB=NULL,
COL=rev(heat.colors(100)), ResetPAR=TRUE, PAR=NULL, MTEXT= NULL, TEXT=NULL)
}
\arguments{
  \item{data}{Data file.}
  \item{X}{Variable X.}
  \item{Y}{Variable Y.}
  \item{Z}{Variable Z.}
  \item{IMAGE}{It accesses the function \link[plot3D]{image2D} that allows to modify many different aspects of the 2D plot.}
  \item{XLAB}{Legend of the X axis.}
  \item{YLAB}{Legend of the Y axis.}
  \item{ZLAB}{Legend of the Z axis.}
  \item{COL}{Color palette to be used for the image function or for the contours.}
  \item{ResetPAR}{If it is FALSE, the default condition of the function \link[StatR]{PAR} is not placed and maintained those defined by the user in previous graphics.}
  \item{PAR}{It accesses the function \link[StatR]{PAR} that allows to modify many different aspects of the graph.}
  \item{MTEXT}{It allows to add text on the margins of the graph.}
  \item{TEXT}{It allows to add text in any area of the inner part of the graph.}
}
\value{A 2D level plot is depicted.}  
\details{
\strong{FUNCTIONS}

The plot is performed with the functions \link[plot3D]{image2D} of package plot3D (Soetaert, 2016). The matrix is obtained using the function \link[akima]{interp} of the package
akima (Akima et al., 2015). For further details see Guisande & Vammonde (2012).

\strong{EXAMPLES}

Altitude in the Himalayan region
\tabular{c}{
\figure{F165}{options: width=4in}
}

}
\references{
Akima, H., Gebhardt, A., Petzoldt, T & Maechler, M. (2016) Interpolation of irregularly spaced data. R package version 0.6-2. Available at: \url{https://CRAN.R-project.org/package=akima}.

Guisande, C. & Vaamonde, A. (2012) Grficos estadsticos y mapas con R. Ediciones Daz de Santos, Madrid, 367 pp.

Soetaert, K. (2016) Plotting Multi-Dimensional Data. R package version 1.1. Available at: \url{https://CRAN.R-project.org/package=plot3D}.

}
\examples{
\dontrun{

#Including the variable Z as a matrix

data(Z10)
m<-as.matrix(Z10[,c(-1,-2)])
F73(data=Z10,  X="Longitude", Y="Latitude",  Z=m)

#Including only a matrix

data(Z10)
m<-as.matrix(Z10[,c(-1,-2)])
F73(data=m)

#With data format not as matrix

data(Z11)
F73(data=Z11,  X="Longitude", Y="Latitude", Z="Depth")
}
}
\keyword{F73}
