\name{F74}
\alias{F74}
\encoding{latin1}
\title{2D AND 3D LEVEL INTERACTIVE PLOTS}
\description{2D AND 3D level interactive plotS are depicted.}
\usage{
F74(data, X, Y, Z, type="contour", COLORS=NULL, XLAB=NULL,
YLAB=NULL, ZLAB=NULL, MAIN=NULL,
XFONT=list(family="Courier New, monospace", size=24, color="black"),
YFONT=list(family="Courier New, monospace", size=24, color="black"),
yaxis=list(title=ylab, titlefont=YFONT),
xaxis=list(title=xlab, autotick=TRUE, titlefont=XFONT))
}
\arguments{
  \item{data}{Data file.}
  \item{X}{Variable X.}
  \item{Y}{Variable Y.}
  \item{Z}{Variable Z.}
  \item{type}{Type of the plot: "contour" for 2D level plot and "surface" for 3D level plot.}
  \item{COLORS}{Color palette to be used for the image function or for the contours.}
  \item{XLAB}{Legend of the X axis.}
  \item{YLAB}{Legend of the Y axis.}
  \item{ZLAB}{Legend of the Z axis.}
  \item{MAIN}{Main title of the plot.}
  \item{XFONT}{Font of X axis.}
  \item{YFONT}{Font of Y axis.}
  \item{yaxis}{It defines the format of Y axis.}
  \item{xaxis}{It defines the format of X axis.}
}
\value{A 2D level and 3D level interactive plots are depicted.}  
\details{
\strong{FUNCTIONS}

The plot is performed with the function \link[plotly]{plot_ly} of the package plotly (Sievert et al., 2016).

\strong{EXAMPLES}

Altitude in the Himalayan region

2D level plot
\tabular{c}{
\figure{F166}{options: width=5.4in}
}
3D level plot
\tabular{c}{
\figure{F167}{options: width=5.4in}
}

}
\references{
Sievert, C., Parmer, C., Hocking, T., Chamberlain, S., Ram, K., Corvellec, M. & Despouy, P. (2016) Create Interactive Web Graphics via 'plotly.js'. R package version 4.5.6. Available at: \url{https://CRAN.R-project.org/package=plotly}.
}
\examples{
\dontrun{

#Example 1. 2D Level plot

#Including the variable Z as a matrix

data(Z10)
m<-as.matrix(Z10[,c(-1,-2)])
F74(data=Z10,  X="Longitude", Y="Latitude",  Z=m)

#Including only a matrix

data(Z10)
m<-as.matrix(Z10[,c(-1,-2)])
F74(data=m)

#Example 2. 3D surface plot

data(Z10)
m<-as.matrix(Z10[,c(-1,-2)])
F74(data=m, type="surface")
}
}
\keyword{F74}
