\name{F88}
\alias{F88}
\encoding{latin1}
\title{BUBBLE MAP}
\description{An interactive bubble map is depicted.}
\usage{
F88(data, var, lon, lat, tooltip, legend="bottomright", title=NULL,
color="white", colscale=rev(heat.colors(100)), breaks=10, opacity=0.9,
fillOpacity=0.7, radius=8, stroke=FALSE)
}
\arguments{
  \item{data}{Data file.}
  \item{var}{This variable defines the color gradient of the bubbles.}
  \item{lon}{Variable with the longitude.}
  \item{lat}{Variable with the latitude.}
  \item{tooltip}{Variables displayed when moving the mouse over the bubble.}
  \item{legend}{Position of the legend.}
  \item{title}{Title of the legend.}
  \item{color}{Color of the stroke.}
  \item{colscale}{Color of the legend.}
  \item{breaks}{Number of breaks of the legend.}
  \item{opacity}{Stroke opacity.}
  \item{fillOpacity}{Fill opacity.}
  \item{radius}{Radius of the bubbles.}
  \item{stroke}{Whether to draw stroke aound the bubbles.}
}
\value{It is depicted an interactive bubble map.}  
\details{
\strong{FUNCTIONS}

The plot is performed with the functions \link[leaflet]{leaflet} of the package leaflet (Cheng, 2018) and
\link[htmltools]{HTML} of the package htmltools (Cheng, 2017).

\strong{EXAMPLE}

Earthquakes around the world.
\tabular{c}{
\figure{F196}{options: width=5in}
}
}
\references{
Cheng, J. (2017) Tools for HTML. R package version 0.3.6. Available at: \url{https://CRAN.R-project.org/package=htmltools}.

Cheng, J. (2018) Create Interactive Web Maps with the JavaScript 'Leaflet' Library. R package version 2.0.0. Available at: \url{https://CRAN.R-project.org/package=leaflet}.
}
\examples{
\dontrun{

data(Z29)

F88(data=Z29, var="Magnitude", lon="Longitude", lat="Latitude",
tooltip=c("Magnitude", "Depth"))}
}
\keyword{F88}
