\name{F89}
\alias{F89}
\encoding{latin1}
\title{GROUPED BOXPLOT}
\description{A grouped boxplot is a boxplot where each category is subdivided in several groups.}
\usage{
F89(data, varY, varX, group, jitter=FALSE, mar=c(3,4.5,3,1), ResetPAR=TRUE,
PAR=NULL, OrderCat=NULL, LabelCat=NULL, COLOR=NULL, BOXWEX=0.4, XCEX=1,
XLAS=1, XFONT=2, XTICK=TRUE, XCOLOR="grey", XLTY=1, BOXPLOT=NULL,
LEGEND=NULL, MTEXT=NULL, TEXT=NULL)
}
\arguments{
  \item{data}{Data file.}
  \item{varY}{Dependent variable.}
  \item{varX}{Variable with the categories.}
  \item{group}{Variable for the groups.}
  \item{jitter}{If it is TRUE points are added with the function \link[base]{jitter} of the base package.}
  \item{mar}{Margins of the boxplot.}
  \item{ResetPAR}{If it is FALSE, the default condition of the function \link[StatR]{PAR} is not placed and maintained those defined by the user in previous graphics.}
  \item{PAR}{It accesses the function \link[StatR]{PAR} that allows to modify many different aspects of the graph.}
  \item{OrderCat}{It allows to specify a vector with the order in which the categories of the variable \emph{varX} are shown.}
  \item{LabelCat}{It allows to specify a vector with the names of the categories of the variable \emph{varX}.}
  \item{COLOR}{Vector with the color of the categories or just one color for all categories of the variable \emph{group}.}
  \item{BOXWEX}{ A scale factor to be applied to all boxes. It is useful when there are many groups, because this argument allows to make the boxes narrower.}
  \item{XCEX}{Size of the text in the \emph{X} axis.}
  \item{XLAS}{Axis label orientation: 0 is parallel to the shaft, 1 is horizontal, 2 is perpendicular, and 3 is vertical.}
  \item{XFONT}{Font type of the text in the \emph{X} axis. The value 1 is a normal type, 2 is written in bold, 3 is written in italics and 4 is written in italics and bold.}
  \item{XTICK}{If it is TRUE, ticks are added in the \emph{X} axis.}
  \item{XCOLOR}{Color of the lines that divide the groups.}
  \item{XLTY}{It defines the type of lines that divide the groups:  0 No line,  1 Solid line,  2 Dashed line,  3 Dotted line,  4 Line of dots and dashes,  5 Dash line and 6 Double stripe.}
  \item{BOXPLOT}{It allows to specify the characteristics of the function \link[graphics]{boxplot}.}
  \item{LEGEND}{It allows to include a legend to the graph.}
  \item{MTEXT}{It allows to add text on the margins of the graph.}
  \item{TEXT}{It allows to add text in any area of the inner part of the graph.}

}
\value{A grouped boxplot is obtained.}  
\details{

\strong{FUNCTIONS}

The plot is performed with the functions \link[graphics]{boxplot} of the graphics package and \link[base]{jitter} of the base package.

\strong{EXAMPLE}

The data are monthly mean temperature for 1990 and 2000 in three cities in Spain: Huelva, Palma de Mallorca and Vigo. They were obtained from the Agencia Estatal de Meteorologa of Spain \url{http://www.aemet.es/es/portada}.
\tabular{c}{
\figure{F197}{options: width=3.6in}
}
}
\examples{
\dontrun{

data(Z13)

F89(data=Z13, varY="Temperature", varX="City", group="Year",
LEGEND=c("x='bottom'", "legend=texto", "bty='n'", "pch=15", "pt.cex=1.5", "col=color"))

}
}
\keyword{F89}
